<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$text_id = "";
$err_msg = "";
$up_button_txt="";
$total_score = 0;
$text_cont = "";
$text_title = "";
if ($_GET <> null) {
	if (isset($_GET['text_id'])) {
		$text_id = $_GET['text_id'];
	}
	if (!is_numeric($text_id)) {
		$err_msg = "<font color='red'>"._COMMON_NOT_ACCESSIBLE_ERR."</font>";
	}
} else {
	$err_msg = "<font color='red'>"._COMMON_NOT_ACCESSIBLE_ERR."</font>";
}

$data_object = new CDbAccess();
		//DB³
if ($err_msg == "") {
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else{
		//ƥȥǡΥ֥Ȥ
		$text_data_object = new CTextTableAccess();
		$txt_data = $text_data_object->getDetailTextData($data_object->conn, $text_id);
		if ($txt_data == false) {
			$err_msg .= $text_data_object->err_msg;
			$text_title = _COMMON_DB_NODATA_FOUND;
			$text_cont = _COMMON_DB_NODATA_FOUND;
		} else {
//			$text_title = htmlspecialchars(mb_convert_encoding($txt_data['text_title'],'EUC-JP','UTF-8'),ENT_QUOTES);
//			$text_cont = nl2br(htmlspecialchars(mb_convert_encoding($txt_data['content'],'EUC-JP','UTF-8'),ENT_QUOTES));
			$text_title = htmlspecialchars($txt_data['text_title'],ENT_QUOTES);
			$text_cont = nl2br(htmlspecialchars($txt_data['content'],ENT_QUOTES));
		}
		$data_object->closeDB();
	}
}
/*
$show_data = file_get_contents('../../templates/ad_item_make/prev_text.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($text_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TXT_CONTENT:', mb_convert_encoding($text_cont,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_item_make/prev_text.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':TITLE_REP:', $text_title, $show_data);
$show_data = str_replace(':TXT_CONTENT:', $text_cont, $show_data);

echo $show_data;
?>