<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];

if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/index.php");
	exit;
}

$show_data="";
$err_msg="";
$last_calc = "";
$now_calc_disp = "none";
$username = "";
$password = "";
$reco_incor = "";
$reco_type = "";
$include_pearson = "";
$reco_flag = "";
$include_flag = "";
$reco_eval = "";
$include_eval = "";
$is_able = "";
$php_path = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
}  else {
	if (isset($_POST["regist_flag"]) && $_POST["regist_flag"] == 1) {
		$username = $_POST["username"];
		$password = $_POST["password"];
		$reco_incor = $_POST["reco_incor"];
		$reco_type = $_POST["reco_type"];
		$include_pearson = $_POST["include_pearson"];
		$reco_flag = $_POST["reco_flag"];
		$include_flag = $_POST["include_flag"];
		$reco_eval = $_POST["reco_eval"];
		$include_eval = $_POST["include_eval"];
		$php_path = $_POST["php_path"];

		$teacher_object = new CTeacherTableAccess();
		if (!$teacher_object->getDataForLogin(
				$data_object->conn, chPostToNormal($username),chPostToNormal($password))) {
			$err_msg .= _EXAM_LOGIN_ERR_INVALIDE;
		}
		$path_ok = false;
		if ($php_path=="" || is_dir($php_path)) $path_ok = exec($php_path."php -v");
		if (!$path_ok) {
			$err_msg .= "PHP PATH ERROR<br/>Failed to execute ".$php_path."php -v";
		}
		if ($err_msg == "") {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/practice_reg/index.php");
			exit;
		}

	}
	$rec_calc_object = new CRecCalcStatusTableAccess();
	if ($rec_calc_object->setNewestCalc($data_object->conn)) {
		if ($res = $rec_calc_object->dbFetchArr()) {
			$last_calc = substr($res["end_time"],0,16);
			if (!isset($_POST["regist_flag"])) {
				$reco_type = $res["reco_type"];
				$include_pearson = $res["include_peason"];
				if ($include_pearson <> 0) {
					$reco_incor = 1;
				}

				$include_flag = $res["include_flag"];
				if ($include_flag <> 0) {
					$reco_flag = 1;
				}

				$include_eval = $res["include_eval"];
				if ($include_eval <> 0) {
					$reco_eval = 1;
				}
			}

			$rec_calc_object->dbFreeResult();
		}
	}
	if ($rec_calc_object->setNowCalc($data_object->conn)) {
		if ($res = $rec_calc_object->dbFetchArr()) {
			$now_calc_disp = "inline";
			$is_able = "DISABLED";
		}
		$rec_calc_object->dbFreeResult();
	}

	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'ad_recommend/reco_form.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':NOW_CALC_DISP_REP:', $now_calc_disp, $show_data);
$show_data = str_replace(':LAST_CALC_REP:', $last_calc, $show_data);
$show_data = str_replace(':IS_ABLE:', $is_able, $show_data);

if ($reco_type == 1) {
	$show_data = str_replace(':RECO_TYPE_REP0:', "", $show_data);
	$show_data = str_replace(':RECO_TYPE_REP1:', "SELECTED", $show_data);
} else {
	$show_data = str_replace(':RECO_TYPE_REP0:', "", $show_data);
	$show_data = str_replace(':RECO_TYPE_REP1:', "", $show_data);
}
if ($reco_incor == 1) {
	$show_data = str_replace(':RECO_INCOR_REP:', "CHECKED", $show_data);
} else {
	$show_data = str_replace(':RECO_INCOR_REP:', "", $show_data);
}
for ($i=1; $i<=5; $i++) {
	if ($include_pearson == $i) {
		$show_data = str_replace(':INPE_REP'.$i.':', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':INPE_REP'.$i.':', "", $show_data);
	}
}
if ($reco_flag == 1) {
	$show_data = str_replace(':RECO_FLAG_REP:', "CHECKED", $show_data);
} else {
	$show_data = str_replace(':RECO_FLAG_REP:', "", $show_data);
}
for ($i=1; $i<=5; $i++) {
	if ($include_flag == $i) {
		$show_data = str_replace(':INPE_FL'.$i.':', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':INPE_FL'.$i.':', "", $show_data);
	}
}
if ($reco_eval==1) {
	$show_data = str_replace(':RECO_EVAL_REP:', "CHECKED", $show_data);
} else {
	$show_data = str_replace(':RECO_EVAL_REP:', "", $show_data);
}
for ($i=1; $i<=5; $i++) {
	if ($include_eval == $i) {
		$show_data = str_replace(':INPE_EVA'.$i.':', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':INPE_EVA'.$i.':', "", $show_data);
	}
}

echo $show_data;
?>