<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];

$start_id = "";
$del_flag = "";
$show_data = "";
$show_txt = "";
$err_msg = "";

if ($_POST <> null) {
	$del_flag = $_POST["del_flag"];
}
if ($_GET <> null) {
	$start_id = $_GET['pgid'];
}

if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/index.php");				
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
}  else {

	//ǡη
	$total_number = 0;
	//ξ
	$del_condtion = "";
	
	if ($start_id =="" || $start_id ==null) {
	//NULLξγϥڡ
		$start_id = 0;
	}
	
	$teacher_data_object = new CTeacherTableAccess();

	if ($del_flag == "del") {
		if (count($_POST) == 1){
			$err_msg = _EXAM_TEA_TEA_LIST_CHECK_ANY_DEL;
		} else {
			//κ
			$del_condition = "";
			/*for ($i = 0; $i < GET_NUM; $i++) {
				if ($_POST["DEL".$i] <> null || $_POST["DEL".$i] <> "") {
					$del_condition .= "teacher_id = ".$_POST["DEL".$i];
					$del_condition .= " OR ";
				}
			}*/
			foreach ($_POST as $child) {
				//if ($child <> null && $child <> "" && $child <> "del") {
				if (is_numeric($child)) {
					$del_condition .= "teacher_id = '".$teacher_data_object->escapeSqlString($child);
					$del_condition .= "' OR ";
				}	
			}
			//Ρ OR פȤ
			$del_condition = substr($del_condition, 0, -4);

			if(!$teacher_data_object->delDat($del_condition, $data_object->conn)) {
				$err_msg = _EXAM_TEA_TEA_DEL_ERR;
				$err_msg .= $teacher_data_object->err_msg;
			}
		}
	}

	$teacher_data_list = $teacher_data_object->getList("*", "", $data_object->conn);

	$make_item = new get_item();
	$navi = $make_item->get_navi($start_id, count($teacher_data_list), GET_NUM, 'tea_list.php');

	if (!$teacher_data_list) {
		$show_txt ="<tr><td colspan='4'>"._COMMON_DB_NODATA_FOUND."</tr></td>";
	} else {
		//ԽɬפʤΤȴФ
		$teacher_data_list = array_splice($teacher_data_list, ($start_id * GET_NUM), GET_NUM);
		//ɽhtmlꥹȺ
		
		$i= 0;
		foreach($teacher_data_list as $data_arr) {
			$show_txt .= "<tr>";	
			$show_txt .= "<td><input type='checkbox' name = 'DEL".$i."' VALUE = '".$data_arr['teacher_id']."'></td>";
			$show_txt .= "<td><a href='mod_form.php?teacher_id=".$data_arr['teacher_id']."'>";
//			$show_txt.=mb_convert_encoding($data_arr['teacher_nam'],'EUC-JP', 'UTF-8')."</a></td>";	
//			$show_txt .= "<td>".mb_convert_encoding($data_arr['belong'],'EUC-JP', 'UTF-8')."</td>";	
			$show_txt.=htmlspecialchars($data_arr['teacher_nam'],ENT_QUOTES)."</a></td>";	
			$show_txt .= "<td>".htmlspecialchars($data_arr['belong'],ENT_QUOTES)."</td>";	
			if ($data_arr['status'] == 1) {
				$status_txt = _EXAM_TEA_TEA_ADMIN_TXT;
			} else if ($data_arr['status'] == 2) {
				$status_txt = _EXAM_TEA_TEA_COMMON_TXT;				
			} else if ($data_arr['status'] == 0) {
				$status_txt = _EXAM_TEA_TEA_INVALID_TXT;				
			}
			
			$show_txt .= "<td>".$status_txt."</td>";	
			$show_txt .= "</tr>\n";
			$i++;
		}

	}
	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/ad_teacher_reg/teacher_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':NAV_REP:', mb_convert_encoding($navi,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_DATA:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_teacher_reg/teacher_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAV_REP:', $navi, $show_data);
$show_data = str_replace(':TBL_DATA:', $show_txt, $show_data);

echo $show_data;
?>