<?php
/*
 * 2011/09/08
 * 줿ƥȤΤɽ
 */
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/change_util.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$st_grade = $ses_arr['grade'];

$search_txt = "";
$dep_id = "";
$err_msg = "";
$where_st = "";
$show_txt = "";
$right_ans = "";

if (isset($_GET["search_txt"])) {
	$search_txt = $_GET["search_txt"];
}
if (isset($_GET["department_id"])) {
	$dep_id = $_GET["department_id"];
}
if ($dep_id <> "" && !is_numeric($dep_id)) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$practice_object = new CPracTableAccess();
	if ($search_txt <> "") {
		$where_st .= "practice_title LIKE '%".$practice_object->escapeSqlString($search_txt)."%'";
	}
	if ($dep_id <> "") {
		if ($where_st <> "") $where_st .= " AND ";
		$where_st .= "department = '".$practice_object->escapeSqlString($dep_id)."'";
	}
	if ($where_st <> "") $where_st = " WHERE ".$where_st;

	if ($practice_object->setSelResult("*", $where_st, $data_object->conn)) {
		$item_object = new CPracItemTableAccess();
		$keywd_object = new CPracKeyWordTableAccess();

		while ($res = $practice_object->dbFetchArr()) {
			$right_ans = "";
			$show_txt .= "<h2>".htmlspecialchars($res['practice_title'],3)."</h2><br/>";

			$show_txt .= source2Html($res['practice_text'])."<br/><br/>";
			if ($res['img_file'] <> ""){
				$show_txt .= "<img src='". LOCAL_URL."img_files/prac_";
				$show_txt .= intval($res['practice_id'])."/".$res['img_file']."'";
				$show_txt .= " width=300 height=200/><br/><br/>";
			}
			if ($res['av_file'] <> ""){
				$show_txt .= "<embed src='". LOCAL_URL."av_files/prac_";
				$show_txt .= intval($res['practice_id'])."/".$res['av_file']."'";
				$show_txt .= " width=300 height=200 autostart='false'/><br/><br/>";
			}
			if ($res['answer'] ==1 || $res['answer'] ==2) {
				if ($item_object->setItemPerPracticeArr (
						$data_object->conn, $res['practice_id'])) {
					while ($item_data = $item_object->dbFetchArr()){
						if ($item_data['is_right'] == 1) {
							$right_ans = "<b>("._EXAM_STU_PRACTICE_RIGHT.")</b>";
							$right_ans .= "<b>".$item_data['item_order']."</b> ";
							$right_ans .= source2Html($item_data['item_txt']);
						}
						$show_txt .= "<b>".$item_data['item_order']."</b> ";
						$show_txt .= source2Html($item_data['item_txt'])."<br/>";
					}
					$item_object->dbFreeResult();
				}
			} else {
				$show_txt .= "<h3>Key Words</h3>";
				if ($keywd_object->setKeyWordPerPracticeArr (
						$data_object->conn, $res['practice_id'])) {
					while ($child=$keywd_object->dbFetchArr()) {
						$show_txt .= htmlspecialchars($child['key_word_txt'],3).",";
					}
					$keywd_object->dbFreeResult();
				}
			}
			$show_txt .= "<hr size=1 width='85%' align='center'/>";
			$show_txt .= "<p/>".$right_ans."</p>";
			$show_txt .= "<p/>".source2Html($res['comment'])."<p/>";


			$show_txt .= "<hr size=3/><p/>";
		}
		$practice_object->dbFreeResult();
	}


	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'usr_mypage/whole_prac.tpl');
$show_data = str_replace(':SHOW_TXT_REP:', $show_txt, $show_data);

echo $show_data;

?>