<?php
/*ΰɽ
 *
 */

require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/for_recommend.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_mobile.php';
require_once '../../util/change_util.php';

ini_set('session.use_trans_sid', '1');
session_start();

//Ӥؤб
$mobile_id = "";
$agent = $_SERVER['HTTP_USER_AGENT'];
$is_mob=0;

if (mb_ereg("^DoCoMo", $agent)){
	$sis_id="?".session_name()."=".session_id();
	$mobile_id = $_SERVER['HTTP_X_DCMGUID'];
	$display_items = "none";
	$is_mob=1;
} else {
	if(mb_ereg("^J-PHONE|^Vodafone|^SoftBank", $agent)){
  		$mobile_id = $_SERVER['HTTP_X_JPHONE_UID'];
  		$display_items = "none";
  		$is_mob=1;
	}else if(mb_ereg("^UP.Browser|^KDDI", $agent)){
  		$mobile_id = $_SERVER['HTTP_X_UP_SUBNO'];
  		$display_items = "none";
  		$is_mob=1;
	} else {
		$display_items = "inline";
	}
	$sis_id = "";
}

if (!isset($_SESSION[SESSION_USR]) && $mobile_id<>"") {
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$mobile_login_object = new CMobileAndStudentAccess();
		if ($mobile_login_object->setDataForLogCheck($data_object->conn,$mobile_id)){
			if ($res = $mobile_login_object->dbFetchArr()) {
				$ses_arr = array();
				$ses_arr['student_nam'] = $data_arr['student_nam'];
				$ses_arr['student_id'] = $data_arr['student_id'];
				$ses_arr['status'] = $data_arr['status'];
				$ses_arr['grade'] = $data_arr['grade'];
				$_SESSION[SESSION_USR] = $ses_arr;
			}
			$mobile_login_object->dbFreeResult();
		}
		$data_object->closeDB();
	}
}

if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$st_grade = $ses_arr['grade'];

$department = "";
$dep_sel = "";
$limit = 10;
$rec_prac_list = "";
$update_time = "";

if (isset($_POST["input_flag"]) && $_POST["input_flag"] == 1) {
	$department = $_POST["department"];
	$limit = $_POST["num"];
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$dep_sel_object = new CCreateDepSelect($data_object->conn);
	$dep_sel = $dep_sel_object->getPullDown("department",$department);
	$rec_index_object = new CRecPracIndex($data_object->conn,$st_id);
	$rec_index_object->main($department,$limit,$is_mob);
	$rec_prac_list = $rec_index_object->getTotalList();
	$update_time = $rec_index_object->getCreateTime();

	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'usr_recommend/index.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAME_REP:', $st_nam, $show_data);
$show_data = str_replace(':DEPARTMENT_REP:', $dep_sel, $show_data);

for ($i=1; $i <=5; $i++) {
	if ($i*10 == $limit) {
		$show_data = str_replace(':NUM_SEL_REP'.$i.':', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':NUM_SEL_REP'.$i.':', "", $show_data);
	}
}

$show_data = str_replace(':DISPLAY_EDIT_REP:', $display_items, $show_data);
$show_data = str_replace(':REC_PRAC_LIST_REP:', $rec_prac_list, $show_data);
$show_data = str_replace(':SESDATA_REP:', $sis_id, $show_data);
$show_data = str_replace(':UPDATE_TIME_REP:', $update_time, $show_data);

echo $show_data;
?>