<?php
class CTextQuestionAccess extends CTblAccess {
//ƥȤȤɽ뤿Υ饹
	function CTextQuestionAccess () {
		$this->CTblAccess (QUES_TBL." AS que, ".TXT_TBL." AS txt");
	}

	function getQuestionDataPerTest($conn, $text_id) {
		$want_col = "txt.text_title, que.question_id, que.exp_dif, que.real_dif, ";
		$want_col .= "que.level, que.content, que.teacher_id, ";
		$want_col .= "que.registered_date, que.comment, que.answer, que.example ";
		$condition = " WHERE text_id = '".$this->escapeSqlString($text_id);
		$condition .= "' ORDER BY txt.text_title, que.registered_date";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function setSinglePracticeData ($conn, $q_id) {
		//ۤ
		$want_col = "txt.text_title, que.content AS qt_content, que.question_id, que.text_id, ";
		$want_col .= "txt.text_id, txt.content AS tt_content, que.answer, que.rep_key, ";
		$want_col .= "que.comment, que.example, que.level, txt.exp_dif,txt.department_id,txt.img_file,txt.av_file";

		$condition = " WHERE que.text_id = txt.text_id";
		$condition .= " AND que.question_id ='".$this->escapeSqlString($q_id)."'";
		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}


	function getQuestionDataWithTxt($conn, $qid) {
		$want_col = "txt.text_title, que.question_id, que.exp_dif, que.real_dif, ";
		$want_col .= "que.level, que.content, que.teacher_id, ";
		$want_col .= "que.registered_date, que.comment, que.answer, que.example ";
		$condition = " WHERE txt.text_id = que.text_id AND que.question_id = '".$this->escapeSqlString($qid);
		$condition .= "' ORDER BY txt.text_title, que.registered_date";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		}
		return $result;
	}
}

class CTestInClassAccess extends CTblAccess {
	//ŪʰĤΥƥȤԤݤΥ饹
	//褯ƤӽФơ֥ĤˤޤȤ
	//³ζͭͤ¾Ȱ㤦åˤ
	//ͤơϤ褦ˤ

	function CTestInClassAccess() {
		$this->CTblAccess ("NOT IDENTIFIED");
	}

	function getGeneralInfo($conn,$test_id) {
	//饹ƥȤΰ̾ʶ̾ID饹̾饹IDƥ̾ˤ
		//ʣơ֥
		$this->tbl_name = TEA_TBL." AS tt, ".CLASS_TBL." AS ct, ".TEST_INF_TBL." AS tit";
		//ɬץեɤΤƤ
		$want_col = "tt.teacher_id, tt.teacher_nam, ct.class_id, ct.class_nam, tit.test_nam";
		$condition = " WHERE ";
		$condition .= " tit.class_id = ct.class_id AND tt.teacher_id = tit.teacher_id AND";
		$condition .= " tit.test_id ='".$this->escapeSqlString($test_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function getTextAndQuestions($conn,$test_id) {
		//ʣơ֥
		$this->tbl_name = TEST_QUE_TBL." AS tqt, ".TXT_TBL." AS ttb, ".QUES_TBL." AS qt";
		//ɬפʥեɤ
		//2007/1/4եɥХåؤλȤ󤷤θơեɤä
		$want_col ="ttb.text_title, ttb.content AS text_content, ttb.text_id, qt.content AS qt_content,";
		$want_col .= "qt.question_id, tqt.tested_id, qt.answer, tqt.question_order,tqt.score, ";
		$want_col .= "qt.rep_key, qt.max_length, qt.max_words, qt.question_repeat,qt.example,";
		$want_col .= "ttb.av_file, ttb.av_repeat, qt.question_av_file, ttb.img_file ";
		//Whereλ
		$condition = " WHERE ";
		$condition .= "tqt.question_type = qt.question_id AND ";
		$condition .= "qt.text_id = ttb.text_id AND ";
		$condition .= "tqt.test_id = '".$this->escapeSqlString($test_id)."'";
		$condition .= " ORDER BY question_order, text_id";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getSheetOfStudent($conn, $student_id) {
	//ּԤºݤ˼ƥȤΥեǡ

		//ʣơ֥
		$this->tbl_name = CLASS_SU_TBL." AS cst, ";
		$this->tbl_name .= CLASS_TBL." AS cit, ";
		$this->tbl_name .= QUES_TBL." AS qtbl, ";
		$this->tbl_name .= TEST_INF_TBL." AS tit, ".TXT_TBL." AS ttt, ";
		$this->tbl_name .= TEST_QUE_TBL." AS tqt";

		//ɬפʥեɤ
		$want_col = "cst.class_student_id, cit.class_id, tqt.test_id,";
		$want_col .= "tit.test_nam, cit.class_nam, ttt.text_title, ttt.text_id, ";
		$want_col .= "ttt.content AS txt_content, qtbl.question_id, ";
		$want_col .= "qtbl.rep_key, qtbl.max_length, qtbl.max_words, ";
		$want_col .= "tqt.question_order, qtbl.content AS ";
		$want_col .= "que_content, qtbl.answer, tqt.tested_id ";
		$want_col .= ",ttt.av_file, qtbl.question_av_file, ttt.img_file ";
		$want_col .= ",ttt.av_repeat, qtbl.question_repeat ";
		//whereλ
		$condition = " WHERE ";
		$condition .= "qtbl.question_id = tqt.question_type ";
		$condition .= "AND qtbl.text_id = ttt.text_id AND ";
		$condition .= "tqt.test_id = tit.test_id ";
		$condition .= "AND tit.class_id = cst.class_id AND ";
//		$condition .= "cit.class_id = cst.class_id AND cst.present = 1 AND tit.status = 1 ";
//2006/12/20
		$condition .= "cit.class_id = cst.class_id AND ((cst.present = 1 AND tit.status = 1) OR (cst.present = 4 AND tit.status = 3))";

		$condition .= "AND cst.student_id = '".$this->escapeSqlString($student_id)."'";
		$condition .= " ORDER BY tqt.question_order, ttt.text_id";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getItemOfQuestion($conn, $q_id) {
		$this->tbl_name = ITEM_TBL;
		$condition = " WHERE question_id = '".$this->escapeSqlString($q_id)."' ORDER BY item_order ";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getAnsweredTxtOfStudent($conn, $test_id, $cl_student_id) {
		$this->tbl_name = TEST_QUE_TBL." AS tqt, ".ANSWERED_TXT_TBL." AS att";
		$want_col = "tqt.score, att.answered_txt ";
		$condition =" WHERE tqt.test_id ='".$this->escapeSqlString($test_id)."' AND ";
		$condition .=" att.class_student_id ='".$this->escapeSqlString($cl_student_id)."'";
		$condition .=" AND tqt.tested_id = att.tested_id ORDER BY tqt.question_order";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getAnsweredItemOfStudent($conn, $test_id, $cl_student_id) {
		$this->tbl_name = TEST_QUE_TBL." AS tqt, ".ANSWERED_ITEM_TBL." AS ait";
		$want_col = "tqt.score, ait.answered_item ";
		$condition =" WHERE tqt.test_id ='".$this->escapeSqlString($test_id)."' AND ";
		$condition .=" ait.class_student_id ='".$this->escapeSqlString($cl_student_id)."'";
		$condition .=" AND tqt.tested_id = ait.tested_id ORDER BY tqt.question_order";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
}

class CSetQuestionInClass extends CTestInClassAccess {
//̤ΥƥѤꤹݤѤ

	function getUseableQuestions ($conn, $id_list,$is_rev) {

		//idΥꥹȤꡢ˸äǡ֤
		$return_arr = array();

		//ʣơ֥
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt";

		//2009/11/22
//		$this->tbl_name .= ", ".ITEM_TBL." AS it";

		//ۤ
		$want_col = "tt.text_title, qt.content, qt.question_id, qt.text_id, qt.rep_key";

		$condition = " WHERE qt.text_id = tt.text_id";
		$sql_plus="";
		if ($id_list <> "ALL") {
			if ($is_rev == true) {
				for ($i = 0;$i<count($id_list);$i++) {
					if ($i == 0) {
						$sql_plus .= "question_id != '".$this->escapeSqlString ($id_list[0])."'";
					} else {
						$sql_plus .= " AND question_id != '".$this->escapeSqlString ($id_list[$i])."'";
					}
				}
			} else {
				for ($i = 0;$i<count($id_list);$i++) {
					if ($i == 0) {
						$sql_plus .= "question_id = '".$this->escapeSqlString ($id_list[0])."'";
					} else {
						$sql_plus .= " OR question_id = '".$this->escapeSqlString ($id_list[$i])."'";
					}
				}
			}
		}
		if ($sql_plus <> "") {
			$condition = $condition." AND (".$sql_plus.")";
		}

		//2009/11/22
//		$condition .= " AND (qt.answer != 1 OR qt.answer != 2 OR (qt.question_id = it.question_id))";

		$condition .= " ORDER BY text_id";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getUseableQuestionsWithCond ($conn, $id_list, $search_txt, $dep_id) {

		//idΥꥹȤꡢ˸äǡ֤(ʹߤĤ
		$return_arr = array();

		//ʣơ֥
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt";
		//ۤ
		$want_col = "tt.text_title, qt.content, qt.question_id, qt.text_id, qt.rep_key";

		$condition = " WHERE qt.text_id = tt.text_id";
		$sql_plus="";
		if (count($id_list) > 0) {
			for ($i = 0; $i<count($id_list); $i++) {
				if ($i == 0) {
					$sql_plus .= "question_id != '".$this->escapeSqlString ($id_list[0])."'";
				} else {
					$sql_plus .= " AND question_id != '".$this->escapeSqlString ($id_list[$i])."'";
				}
			}
		}
		if ($sql_plus <> "") {
			$condition = $condition." AND (".$sql_plus.")";
		}
		if ($search_txt <> "") {
			$condition .=" AND tt.text_title LIKE '%".$this->escapeSqlString($search_txt)."%'";
		}
		if ($dep_id <> "" && $dep_id <> 0) {
			$condition .=" AND tt.department_id ='".$this->escapeSqlString($dep_id)."'";
		}

		$condition .= " ORDER BY text_id";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}


	function setQuestionsForTest ($conn, $dat_arr) {
//ꤹؿ
		$tested_question_object = new CTestedQuestionTableAccess();
		for ($i=0; $i <$dat_arr['all_cnt']; $i++) {
			//if ($dat_arr['UP'.$i] <> "" &&  $dat_arr['UP'.$i] <> null) {
			if (array_key_exists('UP'.$i, $dat_arr) == true) {
				if (!$tested_question_object->insertQuestionOfTestExe($conn, $this->escapeSqlString($dat_arr['test_id']), $this->escapeSqlString($dat_arr['UP'.$i]))) {
					return false;
				}
			}
		}
		return true;
	}

	function removeQuestionForTest ($conn, $dat_arr) {
//ؿ
		//$tested_question_object = new CTestedQuestionTableAccess();
		$this->tbl_name = TEST_QUE_TBL;
		for ($i=0; $i <$dat_arr['all_cnt']; $i++) {
			//if ($dat_arr['DEL'.$i] <> "" && $dat_arr['DEL'.$i] <> null) {
			if (array_key_exists('DEL'.$i, $dat_arr) == true) {
				$cond = "tested_id = '".$this->escapeSqlString($dat_arr['DEL'.$i])."'";
				if (!$this->delDat($cond, $conn)) {
					return false;
				}
			}
		}
		return true;
	}

	function setQuestionOrder($conn, $dat_arr) {
		$full_score = 0;
		$this->tbl_name = TEST_QUE_TBL;
		for ($i=0; $i < $dat_arr['data_cnt'];$i++) {
			$up_set = "question_order = '".$this->escapeSqlString($dat_arr['order'.$i])."'";
			$up_set .= ", score = '".$this->escapeSqlString($dat_arr['score'.$i])."'";
			$where_st = "tested_id = '".$this->escapeSqlString($dat_arr['tested_id'.$i])."'";
			$full_score = $full_score + $dat_arr['score'.$i];
			if (!$this->upDat($up_set, $where_st, $conn)) {
				return false;
			}
		}
		if (!$this->setFullScore($conn, $dat_arr['test_id'], $full_score)) {
			return false;
		}
		return true;
	}
	function setFullScore($conn, $test_id, $full_score) {
	//ꤹ
		$this->tbl_name = TEST_INF_TBL;
		$up_set = "full_score = '".$this->escapeSqlString($full_score)."'";
		$where_st = "test_id = '".$this->escapeSqlString($test_id)."'";
		if (!$this->upDat($up_set, $where_st, $conn)) {
			return false;
		}
		return true;
	}
}

class CTestEvaluateAccess extends CTestInClassAccess {
//κݤθ̷̤ɽ
//2007/1/4ˤϡեɥХåˤ
	function getRightItem ($conn, $question_id) {
//ξ
		$this->tbl_name = ITEM_TBL;
		$condition = " WHERE question_id = '".$this->escapeSqlString($question_id)."'";
		$condition .= " AND is_right = 1 ORDER BY item_order";

		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getKeyWord($conn, $question_id) {
//䤴ȤΥɤμ
		$this->tbl_name = KEY_WORD_TBL;
		$condition= " WHERE question_id = '".$this->escapeSqlString($question_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getAnsweredTxt ($conn,$tested_id, $cl_student_id) {
//줿ƥȤμ
		$this->tbl_name = ANSWERED_TXT_TBL;
		$condition= " WHERE tested_id = '".$this->escapeSqlString($tested_id)."' AND class_student_id = '".$this->escapeSqlString($cl_student_id)."'";
		$result = $this->getList("answered_txt", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getAnsweredItem ($conn, $tested_id, $cl_student_id) {
//줿μ
		$this->tbl_name = ANSWERED_ITEM_TBL;
		$condition = " WHERE tested_id = '".$this->escapeSqlString($tested_id)."' AND class_student_id = '".$this->escapeSqlString($cl_student_id)."'";
		$condition .= " ORDER BY answered_item";
		$result = $this->getList("answered_item", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
}

class CAnalyzeTestClassAccess extends CTblAccess {
//饹ΥƥȷʬѤΥ饹
	function CAnalyzeTestClassAccess() {
		$this->CTblAccess ("NOT IDENTIFIED");
	}

	function getScoreListOfStudents ($conn, $class_id, $test_id) {
		$this->tbl_name = STU_TBL." AS st, ".CLASS_SU_TBL." AS cst, ";
		$this->tbl_name .= STUDENT_TEST_TBL." AS stt, ".ANSWERED_SCORE_TBL." AS ast, ";
		$this->tbl_name .= TEST_QUE_TBL." AS tqt, ".TEST_INF_TBL." AS tit";

		//ɬפʥե
		$want_col = "st.student_id, student_nam, stt.score AS total_score, stt.sd_score AS total_sd_score, ast.score AS item_score, tit.full_score";
		//
		$condition = " WHERE st.student_id = cst.student_id AND cst.class_student_id = stt.class_student_id ";
		$condition .= " AND tqt.tested_id = ast.tested_id AND stt.test_id = tqt.test_id ";

		$condition .= "AND cst.class_student_id = ast.class_student_id AND cst.class_id = '".$this->escapeSqlString($class_id);
		$condition .= "' AND stt.test_id = tit.test_id";
		$condition .= " AND stt.test_id = '".$this->escapeSqlString($test_id)."' ORDER BY student_id, question_order";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getListOfStudents ($conn, $class_id, $test_id) {
//ºݤβΥꥹȤ
		$this->tbl_name = STU_TBL." AS st, ".CLASS_SU_TBL." AS cst, ";
		$this->tbl_name .= STUDENT_TEST_TBL." AS stt, ".ANSWERED_SCORE_TBL." AS ast, ";
		$this->tbl_name .= TEST_QUE_TBL." AS tqt, ".TEST_INF_TBL." AS tit, ".QUES_TBL." AS qt";

		//ɬפʥե
		$want_col = "st.student_id, student_nam, stt.score AS total_score, stt.sd_score AS total_sd_score, ast.score AS item_score, tit.full_score, tqt.tested_id, cst.class_student_id, qt.answer, qt.question_id";
		//
		$condition = " WHERE st.student_id = cst.student_id AND cst.class_student_id = stt.class_student_id ";
		$condition .= " AND tqt.tested_id = ast.tested_id AND stt.test_id = tqt.test_id ";

		$condition .= "AND cst.class_student_id = ast.class_student_id AND cst.class_id = '".$this->escapeSqlString($class_id);
		$condition .= "' AND stt.test_id = tit.test_id AND tqt.question_type = qt.question_id";
		$condition .= " AND stt.test_id = '".$this->escapeSqlString($test_id)."' ORDER BY student_id, question_order";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getAnsweredTxt ($conn,$tested_id, $cl_student_id) {
//줿ƥȤμ
		$this->tbl_name = ANSWERED_TXT_TBL;
		$condition= " WHERE tested_id = '".$this->escapeSqlString($tested_id)."' AND class_student_id = '".$this->escapeSqlString($cl_student_id)."'";
		$result = $this->getList("answered_txt", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getAnsweredItem ($conn, $tested_id, $cl_student_id) {
//줿μ
		$this->tbl_name = ANSWERED_ITEM_TBL;
		$condition = " WHERE tested_id = '".$this->escapeSqlString($tested_id)."' AND class_student_id = '".$this->escapeSqlString($cl_student_id)."'";
		$condition .= " ORDER BY answered_item";
		$result = $this->getList("answered_item", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getItemOfQuestion ($conn, $question_id) {
		$return_arr = array();
		$this->tbl_name = ITEM_TBL;
		$condition = " WHERE question_id = '".$this->escapeSqlString($question_id)."'";
		$result = $this->getList("item_order", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			foreach($result as $item_child) {
				array_push($return_arr, $item_child['item_order']);
			}
			return $return_arr;
		}
	}
}

class CTestResultForClassStudent extends CTblAccess {
//ּ¦鸫Ӿ
	function CTestResultForClassStudent() {
		$this->CTblAccess ("NOT IDENTIFIED");
	}

	function getTestListOfClass ($conn, $class_student_id, $student_id) {
//ƥȤΰ
//class_student_idΤߤǲǽ⤫ͤơ
//student_idåԤ
		$this->tbl_name = TEA_TBL." AS tt, ".CLASS_TBL." AS cit, ";
		$this->tbl_name .= TEST_INF_TBL." AS tit, ".CLASS_SU_TBL." AS cst, ";
		$this->tbl_name .= TEST_QUE_TBL." AS tqt ";

		//ɬפʥե
		$want_col = "tt.teacher_nam, cit.class_nam, tit.test_id,";
		$want_col .= "tit.test_nam, tit.test_date, tit.real_score,";
		$want_col .= "tit.partici_num,tit.status,tit.sd_score, ";
		$want_col .= "sum(tqt.score) AS total_score";

		//ɬפʥե
		$condition = " WHERE tt.teacher_id = cit.teacher_id AND ";
		$condition .= " cit.class_id = tit.class_id AND ";
		$condition .= " cst.class_id = cit.class_id AND ";
		$condition .= "cst.class_student_id = '".$this->escapeSqlString($class_student_id);
		$condition .= "' AND cst.student_id = '".$this->escapeSqlString($student_id)."'";
		$condition .= " AND tit.test_id = tqt.test_id ";
		$condition .= " GROUP BY tit.test_id, tt.teacher_nam, cit.class_nam, ";
		$condition .= "tit.test_nam, tit.test_date, tit.real_score, ";
		$condition .= "tit.partici_num,tit.status,tit.sd_score ORDER BY test_date";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getDetailScoreOfStudent ($conn, $test_id, $class_student_id, $student_id) {
		$this->tbl_name = TEA_TBL." AS tt, ".CLASS_TBL." AS cit, ".TEST_INF_TBL." AS tit, ";
		$this->tbl_name .= STU_TBL." AS st, ".CLASS_SU_TBL." AS cst, ";
		$this->tbl_name .= STUDENT_TEST_TBL." AS stt, ".ANSWERED_SCORE_TBL." AS ast, ";
		$this->tbl_name .= TEST_QUE_TBL." AS tqt, ".QUES_TBL." AS qt ";

		//ɬפʥե
		$want_col = "st.student_id, student_nam, stt.score AS total_score, stt.sd_score AS total_sd_score, ast.score AS item_score,";
		//$want_col .= "stt.st_ts_comment, stt.tea_ts_comment, qt.content, qt.example, ";
		//ɲ2010/3/24
		$want_col .= "stt.st_ts_comment, stt.tea_ts_comment, qt.content, qt.example, qt.question_id, ";

		$want_col .= "tt.teacher_nam, cit.class_nam, tit.test_id,";
		$want_col .= "tit.test_nam, tit.test_date, tit.real_score,";
		$want_col .= "tit.partici_num,tit.status,tit.sd_score, cit.class_id, ";
		$want_col .= "tqt.tested_id, qt.answer, tqt.question_type, tqt.score AS score_weight, ";
		$want_col .= "tqt.ave_score AS item_ave, ast.sd_score AS personal_sd ";

		//
		$condition = " WHERE st.student_id = cst.student_id AND cst.class_student_id = stt.class_student_id ";
		$condition .= " AND tqt.tested_id = ast.tested_id AND stt.test_id = tqt.test_id ";
		$condition .= "AND cst.class_student_id = ast.class_student_id AND cst.class_student_id = '".$this->escapeSqlString($class_student_id);
		$condition .= "' AND qt.question_id = tqt.question_type";

		$condition .= " AND tt.teacher_id = cit.teacher_id AND ";
		$condition .= " cit.class_id = tit.class_id AND ";
		$condition .= " cst.class_id = cit.class_id";
		$condition .= " AND tit.test_id = tqt.test_id ";
		$condition .= " AND stt.test_id = '".$this->escapeSqlString($test_id);
		$condition .= "' AND cst.student_id = '".$this->escapeSqlString($student_id)."' ORDER BY student_id, question_order";


		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
}

class CAnalyzeTestQueAccess extends CTblAccess {
	//ʬѥǡ饹
	var $question_item;
	var $item_hist_list;
	var $question_cnt;
	var $answered_item_arr;
	var $right_percent;
	var $answered_txt_arr;

	function CAnalyzeTestQueAccess () {
		$this->CTblAccess ("NOTSET");
	}

//	function setAnsweredItemArr ($conn, $qid) {
	function getAnsweredItemArr ($conn, $qid) {
		//̤ƥ
		if ($qid=="" || !is_numeric($qid)) return false;
		$this->tbl_name = TEST_QUE_TBL." AS tqt, ".ANSWERED_ITEM_TBL." AS ait";
		$want_col = "ait.answered_item, ait.class_student_id";
		$condition = " WHERE ait.tested_id = tqt.tested_id";
		$condition .= " AND tqt.question_type = '".$this->escapeSqlString($qid)."'";
		$condition .=" ORDER BY ait.tested_id,ait.class_student_id";
/*		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) return false;
		$this->answered_item_arr = $result;
		return true;*/
		return $this->getList($want_col, $condition, $conn);
	}
/*	function getAnsweredItemArr () {
		return $this->answered_item_arr;
	}*/

	function getAnsweredTxtArr ($conn, $qid) {
//	function setAnsweredTxtArr ($conn, $qid) {
		//̤ƥ
		if ($qid=="" || !is_numeric($qid)) return false;
		$this->tbl_name = TEST_QUE_TBL." AS tqt, ".ANSWERED_TXT_TBL." AS att";
		$want_col = "att.answered_txt, att.class_student_id";
		$condition = " WHERE att.tested_id = tqt.tested_id";
		$condition .= " AND tqt.question_type = '".$this->escapeSqlString($qid)."'";
		$condition .= " ORDER BY att.class_student_id";
/*		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) return false;
		$this->answered_txt_arr = $result;
		return true;*/
		return $this->getList($want_col, $condition, $conn);
	}
/*	function getAnsweredTxtArr () {
		return $this->answered_txt_arr;
	}*/

	function getTestInfoArr ($conn, $qid) {
	//䤬ꤵ줿ƥȤΰ
		if ($qid=="" || !is_numeric($qid)) return false;
		$this->tbl_name = TEA_TBL." AS tt, ".CLASS_TBL." AS ct, ".TEST_INF_TBL." AS tit, ";
//ForXoops
//		$this->tbl_name = USER_TBL." AS ut, ".CLASS_TEA_TBL." AS ctt, ".CLASS_TBL." AS ct, ".TEST_INF_TBL." AS tit, ";
		$this->tbl_name .= QUES_TBL." AS qtbl, ".TEST_QUE_TBL." AS tqt ";
		//ɬץեɤΤƤ
		$want_col = "tt.teacher_id, tt.teacher_nam, ct.class_id, ct.class_nam, tit.test_nam,";
//		$want_col = "ut.uid as teacher_id, ut.uname AS teacher_nam, ct.groupid AS class_id, ct.name as class_nam, tit.test_nam, ";
		$want_col .= "qtbl.exp_dif, qtbl.real_dif, qtbl.level, qtbl.content, qtbl.answer,";
		$want_col .= "tit.test_id, tit.test_date, tit.exp_score, tit.partici_num, tit.duration ";

		$condition = " WHERE tit.status = 2 AND ";
		$condition .= " tit.class_id = ct.class_id AND ct.teacher_id = tit.teacher_id AND tit.teacher_id = tt.teacher_id AND";
//		$condition .= " tit.groupid = ct.groupid AND ctt.groupid = tit.groupid AND ctt.uid=ut.uid AND ";
		$condition .= " tit.test_id =tqt.test_id AND qtbl.question_id = tqt.question_type AND qtbl.question_id = '".$this->escapeSqlString($qid)."'";
		return $this->getList($want_col, $condition, $conn);
	}
}

class CDownDataAccess extends CTblAccess {
	//XMLɤΥǡ򸡺
	function CDownDataAccess () {
		$this->CTblAccess ("NOTSET");
	}

	function getDownData ($conn) {
		$this->tbl_name = TXT_TBL." AS tt LEFT JOIN ".QUES_TBL." AS qt ";
		$this->tbl_name .= "ON tt.text_id = qt.text_id ";
		$this->tbl_name .= "LEFT JOIN ".ITEM_TBL;
		$this->tbl_name .=" AS it ON qt.question_id = it.question_id ";
		$this->tbl_name .= "LEFT JOIN ".KEY_WORD_TBL;
		$this->tbl_name .=" AS kt ON qt.question_id = kt.question_id ";

		$want_col = "tt.text_id, tt.text_title, tt.exp_dif AS te_dif, tt.real_dif As tr_dif, ";
		$want_col .= "tt.level AS t_level, tt.comment AS t_comment, tt.department_id, tt.content AS t_content, qt.question_id, ";
		$want_col .= "qt.exp_dif AS qe_dif, qt.real_dif AS qr_dif, qt.level AS q_level,";
		$want_col .= "qt.content AS q_content, qt.comment AS q_comment, ";
		$want_col .= "qt.answer, qt.example, qt.rep_key, qt.max_length, ";
		$want_col .= "qt.max_words, it.item_order, it.item_txt, it.is_right, ";
		$want_col .= "it.comment AS i_comment, kt.key_word_txt, ";
		$want_col .= "kt.score_weight, kt.comment AS k_comment";
		$condition = " ORDER BY tt.text_id, qt.question_id";
		return $this->getList($want_col, $condition, $conn);
	}
}

class CPractice extends CTblAccess {
	function CPractice () {
		$this->tbl_name = "NOTSET";
	}
/*
	function setPracticeData ($conn, $department, $notin_list = "") {
		//ʣơ֥
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt";

		//ۤ
		$want_col = "tt.text_title, qt.content AS qt_content, qt.question_id, qt.text_id, ";
		$want_col .= "tt.text_id, tt.content AS tt_content, qt.answer, qt.rep_key ";

		$condition = " WHERE qt.text_id = tt.text_id AND qt.public_flag = 1";
		if ($notin_list <> "" && (is_numeric($notin_list) || ereg('[0-9]+,[0-9]+', $notin_list))) {
			$condition .= " AND qt.question_id NOT IN (".$notin_list.")";
		}
		$condition .= " AND tt.department_id ='".$this->escapeSqlString($department)."'".$this->getOrderByRandom();

		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}
*/
	function setPracticeData ($conn, $department,
		$st_id, $notin_list = "",$shared_id_list ="",
		$is_mob=0,$level=0) {

		//ʣơ֥
		//$this->tbl_name = PRACTICE_TBL." AS qt, ".TXT_TBL." AS tt";

		$this->tbl_name = PRACTICE_TBL;
		//ۤ
		$want_col = "practice_title, practice_text, practice_id, ";
		$want_col .= "answer ";
		//2010/9/1
		$want_col .= ", img_file ";
		//2011/8/15
		$want_col .= ", av_file ";

		//$condition = " WHERE (status = 1 OR cre_student_id ='".$this->escapeSqlString($st_id)."') AND ";
		//2010/12/28 ͭѤѹ䤤碌ϻȤʤ
		$condition = " WHERE (status = 1 OR cre_student_id ='".$this->escapeSqlString($st_id)."'";
		if ($shared_id_list <> "" && (is_numeric($shared_id_list) || mb_ereg('[0-9]+,[0-9]+', $shared_id_list))) {
			$condition .= " OR practice_id IN (".$shared_id_list.")";
		}
		$condition .= ") AND ";
		if ($notin_list <> "" && (is_numeric($notin_list) || mb_ereg('[0-9]+,[0-9]+', $notin_list))) {
			$condition .= "practice_id NOT IN (".$notin_list.") AND ";
		}
		//2011/8/15
		if ($is_mob==1) {
			//ӤξˤϡAVϤϤ
			$condition .= "(av_file ='' OR av_file IS NULL) AND ";
		}
		//2011/8/18
		if ($level<>0) {
			$condition .= " level ='".$this->escapeSqlString($level)."' AND ";
		}

		$condition .= " department ='".$this->escapeSqlString($department)."'".$this->getOrderByRandom();

		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}

	/*
	function setFailedPracData ($conn, $department, $notin_list="") {
		//˰٤Ǥְ㤨ȤΤ
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt, ".PRAC_RES_TBL." AS prt";
		//ۤ
		$want_col = "tt.text_title, qt.content AS qt_content, DISTINCT qt.question_id, qt.text_id, ";
		$want_col .= "tt.text_id, tt.content AS tt_content, qt.answer, qt.rep_key ";

		$condition = " WHERE qt.text_id = tt.text_id AND qt.public_flag = 1";
		if ($notin_list <> "" && is_numeric(str_replace(",","",$notin_list))) {
			$condition .= " AND qt.question_id NOT IN (".$notin_list.")";
		}
		$condition .= " AND qt.question_id = prt.practice_id AND prt.is_right = 0";
		$condition .= " AND tt.department_id ='".$this->escapeSqlString($department)."'".$this->getOrderByRandom();

		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}
	*/
	function setFailedPracData ($conn, $department, $notin_list="") {
		//˰٤Ǥְ㤨ȤΤ
		$this->tbl_name = PRACTICE_TBL." AS qt, ".PRAC_RES_TBL." AS prt";
		//ۤ
		$want_col = "qt.practice_title AS text_title, qt.practice_text AS qt_content, practice_id, ";
		$want_col .= "qt.answer ";

		$condition = " WHERE ";
		if ($notin_list <> "" && is_numeric(str_replace(",","",$notin_list))) {
			$condition .= " qt.practice_id NOT IN (".$notin_list.")";
		}
//		$condition .= " AND qt.question_id = prt.practice_id AND prt.is_right = 0";
		$condition .= " AND qt.practice_id = prt.practice_id AND prt.is_right = 0";
		$condition .= " AND qt.department ='".$this->escapeSqlString($department)."'".$this->getOrderByRandom();

		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}
	function setPast3DPracData ($conn, $department, $notin_list="") {
		//ǸˤȤƤ3ʾ夿äΤ⤷ϡ˴ְ㤨ȤΤ

	}


/*
	function setSinglePracticeData ($conn, $q_id) {
		//ʣơ֥
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt";

		//ۤ
		$want_col = "tt.text_title, qt.content AS qt_content, qt.question_id, qt.text_id, ";
		$want_col .= "tt.text_id, tt.content AS tt_content, qt.answer, qt.rep_key, ";
		$want_col .= "qt.comment, qt.example";

		$condition = " WHERE qt.text_id = tt.text_id AND qt.public_flag = 1";
		$condition .= " AND qt.question_id ='".$this->escapeSqlString($q_id)."'";

		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}
*/
	function setSinglePracticeData ($conn, $q_id) {
		$this->tbl_name = PRACTICE_TBL;

		$condition = " WHERE practice_id ='".$this->escapeSqlString($q_id)."'";

		if (!$this->setSelResult("*", $condition, $conn)) {
			return false;
		}
		return true;
	}
/*
	function setPracticeListForUser ($conn) {
		//桼¦MyTestɽ
		//ʣơ֥
		$this->tbl_name = QUES_TBL." AS qt, ".TXT_TBL." AS tt, ".DEPARTMENT_TBL." AS dt";

		//ۤ
		$want_col = "COUNT(qt.question_id) AS q_cnt, dt.department_nam, dt.department_id";

		$condition = " WHERE qt.text_id = tt.text_id AND qt.public_flag = 1";
		$condition .= " AND tt.department_id = dt.department_id GROUP BY dt.department_id,dt.department_nam";
		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}
*/
	function setPracticeListForUser ($conn, $st_id,$is_mob = 0) {
		//桼¦MyTestɽ
		$this->tbl_name = PRACTICE_TBL." AS pt, ".DEPARTMENT_TBL." AS dt";

		//ۤ
		$want_col = "COUNT(pt.practice_id) AS q_cnt, dt.department_nam, dt.department_id";

		$condition = " WHERE (status = 1 OR cre_student_id ='".$this->escapeSqlString($st_id)."')";

		if ($is_mob == 1) {
			$condition .= " AND (av_file = '' OR av_file IS NULL)";
		}

		$condition .= " AND pt.department = dt.department_id GROUP BY dt.department_id,dt.department_nam";
		$condition .= " ORDER BY dt.department_id";
		if (!$this->setSelResult($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}

	/*
	function setItemList ($conn, $question_id) {
		//򤹤ݤ
		$this->tbl_name = ITEM_TBL;

		$condition = " WHERE question_id ='".$this->escapeSqlString($question_id)."'";
		if (!$this->setSelResult("*", $condition, $conn)) return false;
		return true;
	}
	*/
	function setItemList ($conn, $practice_id) {
		//򤹤ݤ
		$this->tbl_name = PRACTICE_ITEM_TBL;

		$condition = " WHERE practice_id ='".$this->escapeSqlString($practice_id)."'";
		if (!$this->setSelResult("*", $condition, $conn)) return false;
		return true;
	}

}

class CPracticeShareAccess extends CTblAccess {
	//ζͭǡΥ饹
	function CPracticeShareAccess () {}

	function setPracticeShareEmails ($conn, $practice_id) {
		$this->tbl_name = PRAC_SHOW_OTHERS_TBL." AS pst, ".STU_TBL." AS st";
		$condition = " WHERE pst.usr_id = st.student_id AND";
		$condition .= " practice_id ='".$this->escapeSqlString($practice_id)."'";

		if (!$this->setSelResult("mail_ad as email",$condition,$conn)) return false;
		return true;
	}

}

class CByViewRecListAccess extends CTblAccess {
	//ΥꥹȤĤ뤿Υ饹
	//βΤ

	var $exclude_list="";
	function CByViewRecListAccess () {}

	function setExcludeList ($exclude_list) {
		if (is_numeric($exclude_list) || mb_ereg('[0-9]+,[0-9]+', $exclude_list)) {
			$this->exclude_list = $exclude_list;
		}
	}

	function setRecoDataByFail ($conn, $practice_id, $department,$is_mob=0) {
		//Ǵְ㤨Υǡ
		$this->tbl_name = PRACTICE_TBL." AS pt,".PEARSON_PRAC_TBL." AS rel";
		$condition = " WHERE pt.practice_id = rel.target1 AND rel.target2 ='";
		$condition .= $this->escapeSqlString($practice_id)."' AND pt.status=1 AND ";
		$condition .= "pt.department ='".$this->escapeSqlString($department)."' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		if ($is_mob == 1) {
			$condition .= "AND pt.av_file ='' ";
		}

		$condition .= "ORDER BY rel.pearson_r DESC LIMIT 10";
		if (!$this->setSelResult(
		"pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file",
			$condition,$conn)) return false;
		return true;
	}

	function setRecoDataByFlag ($conn, $practice_id, $department,$is_mob=0) {
		//ե饰դݤɽǡ
		$this->tbl_name = PRACTICE_TBL." AS pt,".FLAG_PRAC_TANIMOTO_TBL." AS fptt";
		$condition = " WHERE pt.practice_id = fptt.practice_id1 AND fptt.practice_id2='";
		$condition .= $this->escapeSqlString($practice_id)."' AND pt.status=1 AND ";
		$condition .= "pt.department ='".$this->escapeSqlString($department)."' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		if ($is_mob == 1) {
			$condition .= "AND pt.av_file ='' ";
		}
		$condition .= "ORDER BY fptt.tanimoto DESC LIMIT 10";
		if (!$this->setSelResult(
		"pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file",
			$condition,$conn)) return false;
		return true;
	}

	function setRecoDataByEval ($conn, $practice_id, $department,$is_mob=0) {
		//ɾݤɽǡ
		$this->tbl_name = PRACTICE_TBL." AS pt,".EVAL_PRAC_TANIMOTO_TBL." AS eptt";
		$condition = " WHERE pt.practice_id = eptt.practice_id1 AND eptt.practice_id2='";
		$condition .= $this->escapeSqlString($practice_id)."' AND pt.status=1 AND ";
		$condition .= "pt.department ='".$this->escapeSqlString($department)."' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		if ($is_mob == 1) {
			$condition .= "AND pt.av_file ='' ";
		}
		$condition .= "ORDER BY eptt.tanimoto DESC LIMIT 10";
		if (!$this->setSelResult(
		"pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file",
			$condition,$conn)) return false;
		return true;
	}
}

class CGeneralRecListAccess extends CTblAccess {
	//Ūʾ˴Ť
	function CGeneralRecListAccess () {}

	function setPopData ($conn, $department, $limit=10,$is_mob=0) {
		$this->tbl_name = EVAL_PRAC_TBL." AS ept, ".PRACTICE_TBL." AS pt";
		$condition = " WHERE ept.practice_id = pt.practice_id AND pt.status=1 ";
		if ($is_mob == 1) {
			$condition .= "AND pt.av_file ='' ";
		}
		$condition .= "AND pt.department = '".$this->escapeSqlString($department)."' ";
		//$condition .= "AND prac_num > 0 GROUP BY ept.practice_id ORDER BY prac_num DESC";
		$condition .= "GROUP BY pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file ORDER BY prac_num DESC";
		if (is_numeric($limit)) $condition .= " LIMIT ".$limit;
		$want_col = "SUM(ept.eval) AS prac_num, pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file";
		if (!$this->setSelResult($want_col,$condition,$conn)) return false;
		return true;
	}

	function setFlaggyData ($conn, $department, $limit=10,$is_mob=0) {
		$this->tbl_name = PRAC_FLAG_TBL." AS fpt, ".PRACTICE_TBL." AS pt";
		$condition = " WHERE fpt.practice_id = pt.practice_id AND pt.status = 1 ";
		if ($is_mob == 1) {
			$condition .= "AND pt.av_file ='' ";
		}
		$condition .= "AND pt.department = '".$this->escapeSqlString($department)."' ";
		$condition .= "GROUP BY pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file ORDER BY prac_num DESC";
		if (is_numeric($limit)) $condition .= " LIMIT ".$limit;
		$want_col = "COUNT(fpt.practice_flag_id) AS prac_num, pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file";
		if (!$this->setSelResult($want_col,$condition,$conn)) return false;
		return true;
	}
}

class CPersonalRecListAccess extends CGeneralRecListAccess {
	//ּԤθĿͤβ˴ŤܿͤؤΤ
	var $exclude_list = "";
	function CPersonalRecListAccess () {}

	function setExcludeList ($exclude_list) {
		if (is_numeric($exclude_list) || mb_ereg('[0-9]+,[0-9]+', $exclude_list)) {
			$this->exclude_list = $exclude_list;
		}
	}

	function setReinfoData ($conn,$department,$uid,$limit=20,$is_mob=0) {
		$this->tbl_name = RECO_PRAC_TBL." AS rpt, ".PRACTICE_TBL." AS pt";

		$condition = " WHERE rpt.practice_id = pt.practice_id AND rpt.uid = '";
		$condition .= $this->escapeSqlString($uid)."' AND pt.department = '";
		$condition .= $this->escapeSqlString($department)."' AND pt.status =1 ";
		if ($is_mob==1) $condition .= "AND pt.av_file ='' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		$condition .="ORDER BY rpt.relation DESC";
		if (is_numeric($limit)) $condition .= " LIMIT ".$limit;

		$want_col = "pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file";
		if (!$this->setSelResult($want_col,$condition,$conn)) return false;
		return true;
	}
	function setSimEvalData ($conn,$department,$uid,$limit=20,$is_mob=0) {
		$this->tbl_name = EVAL_TANIMOTO_TBL." AS ett, ".EVAL_PRAC_TBL." AS ept, ".PRACTICE_TBL." AS pt";
		$condition = " WHERE ept.practice_id = pt.practice_id AND ett.uid2 = ept.uid AND ";
		$condition .= "pt.department = '".$this->escapeSqlString($department)."' AND ";
		$condition .= "ett.uid1 = '".$this->escapeSqlString($uid)."' AND status = 1 ";
		if ($is_mob==1) $condition .= "AND pt.av_file ='' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		$condition .= "ORDER BY ett.tanimoto DESC ";
		if (is_numeric($limit)) $condition .= " LIMIT ".$limit;

		$want_col = "pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file";
		if (!$this->setSelResult($want_col,$condition,$conn)) return false;
		return true;
	}
	function setSimFlagData ($conn,$department,$uid,$limit=20,$is_mob=0) {
		$this->tbl_name = FLAG_TANIMOTO_TBL." AS ftt, ".PRAC_FLAG_TBL." AS fpt, ".PRACTICE_TBL." AS pt";
		$condition = " WHERE fpt.practice_id = pt.practice_id AND ftt.uid2 = fpt.usr_id AND ";
		$condition .= "pt.department = '".$this->escapeSqlString($department)."' AND ";
		$condition .= "ftt.uid1 = '".$this->escapeSqlString($uid)."' AND status = 1 ";
		if ($is_mob==1) $condition .= "AND pt.av_file ='' ";
		if ($this->exclude_list <> "") {
			$condition .= "AND pt.practice_id NOT IN(".$this->exclude_list.") ";
		}
		$condition .= "ORDER BY ftt.tanimoto DESC ";
		if (is_numeric($limit)) $condition .= " LIMIT ".$limit;

		$want_col = "pt.practice_id, pt.practice_title,pt.practice_text, pt.img_file";
		if (!$this->setSelResult($want_col,$condition,$conn)) return false;
		return true;
	}
}

class CAbleMoshiAccess extends CTblAccess {
	function CAbleMoshiAccess () {

	}

	function setAbleMoshiIDs ($conn, $st_id) {

		$this->tbl_name = MOSHI_SHOW_GROUP_TBL." AS msgt,".CLASS_SU_TBL." AS cst";
		$condition = " WHERE cst.student_id ='".$this->escapeSqlString($st_id)."' AND ";
		$condition .= "msgt.class_id = cst.class_id UNION SELECT moshi_id ";
		$condition .= "FROM ".MOSHI_SHOW_OTHERS_TBL." WHERE usr_id ='";
		$condition .= $this->escapeSqlString($st_id)."'";
		if (!$this->setSelResult("moshi_id",$condition,$conn)) {
			return false;
		}
		return true;
	}
}

class CMoshiScoreAccess extends CTblAccess {
	function CMoshiScoreAccess () {}
	function setMainMoshiScore ($conn, $moshi_id) {
		$this->tbl_name = MOSHI_TBL." AS mt, ".ANSTO_WHOLE_MODHI_TBL." AS awmt";
		$condition = " WHERE mt.moshi_id = awmt.moshi_id AND mt.moshi_id='";
		$condition .= $this->escapeSqlString($moshi_id)."'";
		$condition .= " GROUP BY mt.goal_score,mt.moshi_name,mt.moshi_com,mt.difficulty, mt.duration,mt.disp_type";
		$want_col = "COUNT(awmt.ansto_whole_moshi_id) AS moshi_num, ";
		$want_col .= "AVG(awmt.score) AS avg_score, (AVG(awmt.duration)/60) AS avg_dur,mt.goal_score,";
		$want_col .= "mt.moshi_name,mt.moshi_com,mt.difficulty, mt.duration,mt.disp_type";
		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}
	function setQTScore ($conn, $moshi_id) {
		$this->tbl_name = MOSHI_QTYPE_TBL." AS mqt, ".INDANSTO_MOSHI_TBL." AS iamt";

		/*
		$condition = " LEFT JOIN ".PRAC_RES_TBL." AS prt ON iamt.prac_result_id  = prt.practice_result_id";
		$condition .= " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
		$condition .= "mqt.moshi_id ='".$this->escapeSqlString($moshi_id)."' ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id, mqt.moshi_quiz_type_id, ";
		$condition .= "mqt.score, mqt.number, mqt.department, mqt.difficulty, mqt.level";
		$want_col = "COUNT(iamt.prac_result_id) AS cnt, ";
		$want_col .="mqt.moshi_quiz_type_id,mqt.score,mqt.number,";
		$want_col .="mqt.department,mqt.difficulty,mqt.level,";
		$want_col .="(SUM(prt.is_right)/COUNT(iamt.prac_result_id)*100) AS right_per";
		*/
		$condition = " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
		$condition .= "mqt.moshi_id ='".$this->escapeSqlString($moshi_id)."' ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id, mqt.moshi_quiz_type_id, ";
		$condition .= "mqt.score, mqt.number, mqt.department, mqt.difficulty, mqt.level";
		$want_col = "COUNT(iamt.is_right) AS cnt, ";
		$want_col .="mqt.moshi_quiz_type_id,mqt.score,mqt.number,";
		$want_col .="mqt.department,mqt.difficulty,mqt.level,";
		$want_col .="(AVG(iamt.is_right)*100) AS right_per";
		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}
}

class CMoshiScoreUserAccess extends CMoshiScoreAccess {
	function CMoshiScoreUserAccess () {}
	function setUsersQTScore ($conn, $moshi_id, $uid) {
		$this->tbl_name = MOSHI_QTYPE_TBL." AS mqt, ".ANSTO_WHOLE_MODHI_TBL." AS awmt,".INDANSTO_MOSHI_TBL." AS iamt ";

		/*
		$condition = " LEFT JOIN ".PRAC_RES_TBL." AS prt ON iamt.prac_result_id  = prt.practice_result_id";
		$condition .= " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
		$condition .= "mqt.moshi_id ='".$this->escapeSqlString($moshi_id)."' AND ";
		$condition .= "iamt.ansto_whole_moshi_id = awmt.ansto_whole_moshi_id AND ";
		$condition .= "mqt.moshi_id = awmt.moshi_id AND awmt.uid ='".$this->escapeSqlString($uid)."' ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id";
		$want_col = "COUNT(iamt.prac_result_id) AS cnt, ";
		$want_col .="mqt.moshi_quiz_type_id, ";
		$want_col .="(SUM(prt.is_right)/COUNT(iamt.prac_result_id)*100) AS right_per";
*/
		$condition = " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
		$condition .= "mqt.moshi_id ='".$this->escapeSqlString($moshi_id)."' AND ";
		$condition .= "iamt.ansto_whole_moshi_id = awmt.ansto_whole_moshi_id AND ";
		$condition .= "mqt.moshi_id = awmt.moshi_id AND awmt.uid ='".$this->escapeSqlString($uid)."' ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id";
		$want_col = "COUNT(iamt.is_right) AS cnt, ";
		$want_col .="mqt.moshi_quiz_type_id, ";
		$want_col .="(AVG(iamt.is_right)*100) AS right_per";

		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}
}

class COneMoshiScoreAccess extends CMoshiScoreUserAccess {
	function COneMoshiScoreAccess () {

	}
	function setQTInOneMoshi ($conn, $ansto_whole_moshi_id) {
		$this->tbl_name = MOSHI_QTYPE_TBL." AS mqt, ".ANSTO_WHOLE_MODHI_TBL." AS awmt, ".INDANSTO_MOSHI_TBL." AS iamt ";
/*
		$condition = "LEFT JOIN ".PRAC_RES_TBL." AS prt ON iamt.prac_result_id  = prt.practice_result_id";
		$condition .= " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
//		$condition .= "mqt.moshi_id ='".$this->escapeSqlString($moshi_id)."' AND ";
		$condition .= "mqt.moshi_id = awmt.moshi_id AND awmt.ansto_whole_moshi_id  ='".$this->escapeSqlString($ansto_whole_moshi_id)."' ";
		$condition .= " AND awmt.ansto_whole_moshi_id = iamt.ansto_whole_moshi_id ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id";
		$want_col = "COUNT(iamt.prac_result_id) AS cnt, mqt.moshi_quiz_type_id,";
		$want_col .="(SUM(prt.is_right)/COUNT(iamt.prac_result_id)*100) AS right_per";
*/
		$condition = " WHERE mqt.moshi_quiz_type_id = iamt.moshi_quiz_type_id AND ";
		$condition .= "mqt.moshi_id = awmt.moshi_id AND awmt.ansto_whole_moshi_id  ='".$this->escapeSqlString($ansto_whole_moshi_id)."' ";
		$condition .= " AND awmt.ansto_whole_moshi_id = iamt.ansto_whole_moshi_id ";
		$condition .= "GROUP BY mqt.moshi_quiz_type_id";
		$want_col = "COUNT(iamt.is_right) AS cnt, mqt.moshi_quiz_type_id,";
		$want_col .="(AVG(iamt.is_right)*100) AS right_per";
		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}

	function setQuestionsInOneMoshi ($conn, $ansto_whole_moshi_id) {
		$this->tbl_name = ANSTO_WHOLE_MODHI_TBL." AS awmt, ".PRACTICE_TBL." AS pt, ".INDANSTO_MOSHI_TBL." AS iamt";
		/*
		$condition = " LEFT JOIN ".PRAC_RES_TBL." AS prt ON iamt.prac_result_id  = prt.practice_result_id";
		$condition .= " WHERE iamt.ansto_whole_moshi_id = awmt.ansto_whole_moshi_id AND ";
		$condition .= "iamt.practice_id = pt.practice_id AND ";
		$condition .= "iamt.ansto_whole_moshi_id = '".$this->escapeSqlString($ansto_whole_moshi_id)."'";
		$condition .= " ORDER BY iamt.ans_order";
		$want_col = "iamt.ans_order, pt.practice_title, pt.practice_id,prt.answered,";
		$want_col .= "iamt.prac_result_id,iamt.moshi_quiz_type_id, prt.is_right";
		*/
		$condition .= " WHERE iamt.ansto_whole_moshi_id = awmt.ansto_whole_moshi_id AND ";
		$condition .= "iamt.practice_id = pt.practice_id AND ";
		$condition .= "iamt.ansto_whole_moshi_id = '".$this->escapeSqlString($ansto_whole_moshi_id)."'";
		$condition .= " ORDER BY iamt.ans_order";
		$want_col = "iamt.ans_order, pt.practice_title, pt.practice_id,iamt.answered,";
		$want_col .= "iamt.prac_result_id,iamt.moshi_quiz_type_id, iamt.is_right";

		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}
}
?>