<?php
//exam_sysyem05を06にアップグレードする
require_once '../data/constant.php';
$prefix = str_replace('test_txt_tbl','',TXT_TBL);
$prefix = addslashes($prefix);
$db_type = DB_TYPE;
$db_host = DB_HOST;
$db_name = DB_NAME;
$db_user = USR_NAME;
$db_password = USR_PWD;
$url = LOCAL_URL;
$err_msg="";
if ($db_type=="mysql") {
//mySqlの場合
	$conn = mysql_connect($db_host, $db_user, $db_password);
	$result = mysql_select_db($db_name, $conn );
} else if ($db_type=="postgres7") {
//postgresの場合
	$conn = pg_connect("host=".$db_host." dbname=".$db_name." user=".$db_user." password=".$db_password);
	if ($conn == false) {
		$result = false;
	} else {
		$result = true;
	}
}
if ($result == false) $err_msg = "CONNECT ERROR!";

//科目テーブルの作成
if ($err_msg =="" && create_tbl_query("department",$prefix, $db_type, 5,$conn)) {
	execute_query("INSERT INTO ".$prefix."department_tbl VALUES (1,'英語','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."department_tbl VALUES (2,'ドイツ語','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."department_tbl VALUES (3,'数学','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."department_tbl VALUES (4,'そのほか','')",$db_type,$conn);
} else {
	$err_msg ="department create error!"; 
}

//学年テーブル
if ($err_msg =="" && create_tbl_query("grade",$prefix, $db_type, 12, $conn)) {
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (1,'小学校低学年','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (2,'小学校高学年','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (3,'中学１','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (4,'中学２','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (5,'中学３','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (6,'高校１','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (7,'高校２','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (8,'高校３','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (9,'大学初級','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (10,'大学上級','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."grade_tbl VALUES (11,'研究者・ビジネス','')",$db_type,$conn);
} else {
	$err_msg ="grade create error!"; 
}
//レベルテーブル
if ($err_msg =="" && create_tbl_query("txt_level",$prefix, $db_type, 5, $conn)) {
	execute_query("INSERT INTO ".$prefix."txt_level_tbl VALUES (1,'レベル1','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."txt_level_tbl VALUES (2,'レベル2','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."txt_level_tbl VALUES (3,'レベル3','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."txt_level_tbl VALUES (4,'レベル4','')",$db_type,$conn);
			//levelを999に設定してあるものがあるため
	execute_query("UPDATE ".QUES_TBL." SET level = 0 WHERE level = 999", $db_type,$conn);
} else {
	$err_msg ="txt_level create error!"; 
}
//難易度テーブル
if ($err_msg =="" && create_tbl_query("difficulty",$prefix, $db_type, 4, $conn)) {
	execute_query("INSERT INTO ".$prefix."difficulty_tbl VALUES (1,'簡単','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."difficulty_tbl VALUES (2,'普通','')",$db_type,$conn);
	execute_query("INSERT INTO ".$prefix."difficulty_tbl VALUES (3,'難しい','')",$db_type,$conn);
} else {
	$err_msg ="difficulty create error!"; 
}
unlink("../data/constant.php");
if (!make_const($db_type,$db_host,$db_name,$db_user,$db_password,$url,$prefix)) {
	$err_msg .="<br/>constant create error!";
}
if ($err_msg == "") {
	echo "Exam System is successfully upgraded. Please delete this <b>upgrade</b> Folder and <b>installer</b> Folder.<br/> ";
	echo "<a href='".$url."admin/login.php'>GO TO ADMIN LOGIN</a>";
} else {
	echo $err_msg;
}

function create_tbl_query($basic,$prefix, $db_type, $start, $conn) {
	//テーブルCREATE
	$cr_tbl_sql = "CREATE TABLE ".$prefix.$basic."_tbl (".$basic."_id int PRIMARY KEY ";
	if ($db_type=="mysql") $cr_tbl_sql .="AUTO_INCREMENT";
	$cr_tbl_sql .= ", ".$basic."_nam TEXT NOT NULL, comment TEXT);";
	
	if (!execute_query($cr_tbl_sql, $db_type, $conn)) return false;
	if ($db_type=="postgres7") {
		$cr_seq_sql = "CREATE SEQUENCE ".$prefix.$basic."_id_seq start ".$start." increment 1 maxvalue 99999 cycle cache 1;";
		if (!pg_query($conn, $cr_seq_sql)) return false;
	}
	return true;
}

function execute_query($statement, $db_type, $conn) {
	if ($db_type=="mysql") {
		if (!mysql_query($statement, $conn)) return false;
	} else if ($db_type=="postgres7") {
		if (!pg_query($conn, $statement)) return false;
	}
	return true;
}
function make_const($db_type,$db_host,$db_name,$db_user,$db_password,$url,$prefix) {
	//先ずは、自分のカレントディレクトリを取得
	$cur_dir =getcwd();
	//カレントから「installer/」を除いたのが、設定パス
	$direct = str_replace('upgrade','',$cur_dir);
	$direct = addslashes($direct);
	$const_contents = file_get_contents('../data/constant_dist.php');
	$const_contents = str_replace(':DB_TYPE_REP:', $db_type, $const_contents);
	$const_contents = str_replace(':DB_HOST_REP:', $db_host, $const_contents);
	$const_contents = str_replace(':DB_NAME_REP:', $db_name, $const_contents);
	$const_contents = str_replace(':DB_USER_REP:', $db_user, $const_contents);
	$const_contents = str_replace(':DB_PASS_REP:', $db_password, $const_contents);
	$const_contents = str_replace(':URL_REP:', $url, $const_contents);
	$const_contents = str_replace(':PREFIX_REP:', $prefix, $const_contents);
	$const_contents = str_replace(':DIRECT_REP:', $direct, $const_contents);
	$const_contents = str_replace(':ADMIN_LOGIN:', uniqid("admin"), $const_contents);
	$const_contents = str_replace(':STUDENT_LOGIN:', uniqid("student"), $const_contents);
	
	$fp = fopen('../data/constant.php','w');
	fwrite($fp, $const_contents);
	fclose($fp);
	return true;
}
?>