<?php
/*ϻˤؤβ
 * 2011/12/24
 */
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_moshi.php';
require_once '../../util/post_util.php';
require_once '../../util/change_util.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$order=0;
$practice_id = 0;
$retry_flag = 1;
$answered_text = "";
$moshi_id ="";
$disp_type="";
$show_data_arr = array();
$show_text = "";

$resee_show = "inline";
$no_resee_show = "none";

$show_prev = "inline";
$pre_prac_id = "";
$pre_order = "";

if (isset($_REQUEST["order"]) && is_numeric($_REQUEST["order"])) {
	$order = $_REQUEST["order"];
}
if (isset($_REQUEST["practice_id"]) && is_numeric($_REQUEST["practice_id"])) {
	$practice_id = $_REQUEST["practice_id"];
}
if (isset($_REQUEST["moshi_id"]) && is_numeric($_REQUEST["moshi_id"])) {
	$moshi_id = $_REQUEST["moshi_id"];
}
if (isset($_REQUEST["disp_type"]) && is_numeric($_REQUEST["disp_type"])) {
	$disp_type = $_REQUEST["disp_type"];
}

if ($order == "" || $practice_id == "" || !isset($_SESSION["moshi_list_arr"]) ||
!isset($_SESSION["moshi_list_arr"][$order])) {

	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$moshi_list_arr = $_SESSION["moshi_list_arr"];
unset($_SESSION["moshi_list_arr"]);

//Фƥåե饰
if (isset($_POST["retry_flag"]) && is_numeric($_POST["retry_flag"])) {
	if ($_POST["retry_flag"] == 1) {
		$moshi_list_arr[$order]["is_flagged"] = 1;
		$resee_show = "none";
		$no_resee_show = "inline";
	} else {
		$moshi_list_arr[$order]["is_flagged"] = 0;
		$resee_show = "inline";
		$no_resee_show = "none";
	}
	$answered_text = $_POST["answered_text"];
} else if (isset($_POST["practice_id"]) && isset($_POST["order"]) &&
isset($_POST["answered_text"])) {
	//Υեफ
	$moshi_list_arr[$order]["answer"] = $_POST["answered_text"];
	$order++;
	if ($order >= count($moshi_list_arr)) {
		$_SESSION["moshi_list_arr"] = $moshi_list_arr;
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."usr/moshi/question_list.php?moshi_id=".$moshi_id."&disp_type=".$disp_type);
		exit;
	}
}
$show_data_arr = $moshi_list_arr[$order];
if ($show_data_arr["is_flagged"] == 1) {
	$resee_show = "none";
	$no_resee_show = "inline";
}

if ($order == 0) {
	$show_prev = "none";
} else {
	$pre_prac_id = $moshi_list_arr[($order-1)]["practice_id"];
	$pre_order = $order -1;
}

$quest_form_object = new CMoshiQuestForm();

$quest_form_object->setQuestionData($show_data_arr);
$quest_form_object->setQuestionForm($answered_text,$order);
$show_text = $quest_form_object->getQuestionForm();

$_SESSION["moshi_list_arr"] = $moshi_list_arr;

$show_data = file_get_contents(TEMPLATE_DIR.'usr_moshi/question_form.tpl');

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':PRAC_TEXT_REP:', $show_text, $show_data);

$show_data = str_replace(':PRAC_ID_REP:', $practice_id, $show_data);
$show_data = str_replace(':ORDER_REP:', $order, $show_data);

$show_data = str_replace(':MOSHI_ID_REP:', $moshi_id, $show_data);
$show_data = str_replace(':DISP_TYPE_REP:', $disp_type, $show_data);
$show_data = str_replace(':RESEE_SHOW:', $resee_show, $show_data);
$show_data = str_replace(':NOT_RESEE_SHOW:', $no_resee_show, $show_data);
//$show_data = str_replace(':SHOW_NEXT_REP:', $show_next, $show_data);
$show_data = str_replace(':SHOW_PREV_REP:', $show_prev, $show_data);

$show_data = str_replace(':PRE_PRACTICE_ID_REP:', $pre_prac_id, $show_data);
$show_data = str_replace(':PRE_ORDER_REP:', $pre_order, $show_data);

echo $show_data;


?>