<?php
/*
 * ΰɽ
 */
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_moshi.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$moshi_id = "";
if (!isset($_REQUEST["moshi_id"]) || !is_numeric($_REQUEST["moshi_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$moshi_id = $_REQUEST["moshi_id"];
$disp_type = "";
if (!isset($_REQUEST["disp_type"]) || !is_numeric($_REQUEST["disp_type"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$disp_type = $_REQUEST["disp_type"];

$moshi_list_arr = array();
$moshi_ques_list = "";
$err_msg = "";

//unset($_SESSION["moshi_list_arr"]);
if (isset($_SESSION["moshi_list_arr"])) {
	$moshi_list_arr = $_SESSION["moshi_list_arr"];
	unset($_SESSION["moshi_list_arr"]);
} else {
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$moshi_list_object = new CMoshiQueList($data_object->conn, $moshi_id,$disp_type);
		$moshi_list_object->setMoshiQueArr();
		$moshi_list_arr = $moshi_list_object->getMoshiQueArr();

		$data_object->closeDB();
	}
}
ksort($moshi_list_arr);
$_SESSION["moshi_list_arr"] = $moshi_list_arr;

$i=2;

if (count($moshi_list_arr) > 0) {
$moshi_ques_list .= "<b>1</b> ";
$moshi_ques_list .= "<a href='question_form.php?practice_id=".$moshi_list_arr[0]["practice_id"];
$moshi_ques_list .= "&order=0&moshi_id=".$moshi_id."&disp_type=".$disp_type;
$moshi_ques_list .="'>".htmlspecialchars($moshi_list_arr[0]["practice_title"],ENT_QUOTES);
$moshi_ques_list .= "</a>";
if ($moshi_list_arr[0]["answer"] <> "") $moshi_ques_list .="("._EXAM_USER_MOSHI_ALREADY_ANS.")";
if ($moshi_list_arr[0]["is_flagged"] == 1) {
	$moshi_ques_list .="(<font color='red'>"._EXAM_USER_MOSHI_FLAGGED."</font>)";
}
$moshi_ques_list .= "<br/>";
}

foreach ($moshi_list_arr as $key=>$val) {
	if ($key == 0) continue;
	$moshi_ques_list .= "<b>".($key+1)."</b> ";

	$moshi_ques_list .= "<a href='question_form.php?practice_id=".$val["practice_id"];
	$moshi_ques_list .= "&order=".$key."&moshi_id=".$moshi_id."&disp_type=".$disp_type;
	$moshi_ques_list .= "'>".htmlspecialchars($val["practice_title"],ENT_QUOTES);
	$moshi_ques_list .= "</a>";
	if ($val["answer"] <> "") $moshi_ques_list .="("._EXAM_USER_MOSHI_ALREADY_ANS.")";
	if ($val["is_flagged"] == 1) {
		$moshi_ques_list .="(<font color='red'>"._EXAM_USER_MOSHI_FLAGGED."</font>)";
	}
	$moshi_ques_list .= "<br/>";
	if ($i <> 0 && $i%20==0) $moshi_ques_list .= "</td><td valign='top'>";
	$i++;
}

$moshi_ques_list = "<table width=95%><tr><td valign='top'>".$moshi_ques_list."</td></tr></table>";
$show_data = file_get_contents(TEMPLATE_DIR.'usr_moshi/question_list.tpl');

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':DATA_LIST:', $moshi_ques_list, $show_data);

echo $show_data;
?>