<?php
/*
 * ̤ϻη̤θĿ;ɽ롣
 * ϻؤβ⤳Υڡ
 */
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/for_moshi.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
$st_nam = htmlspecialchars($ses_arr['student_nam'],ENT_QUOTES);
$student_id = $ses_arr['student_id'];
$whole_moshi_id = "";
$moshi_id = "";
$moshi_name = "";
$moshi_com="";
$answer_list = "";
$type_list = "";
$type_table = "";
$goal_score="";
$duration = "";
$avg_score = "";
$avg_dur="";
$your_score = "";
$your_dur = "";
$your_avg_score = "";
$your_avg_dur = "";
$moshi_num = 0;
$your_moshi_num = 0;
$answered_time = "";
$full_score = 0;
$err_msg="";

if (isset($_GET["whole_moshi_id"]) && is_numeric($_GET["whole_moshi_id"]) &&
isset($_GET["moshi_id"]) && is_numeric($_GET["moshi_id"])) {
	$whole_moshi_id = $_GET["whole_moshi_id"];
	$moshi_id = $_GET["moshi_id"];
} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$one_moshi_sdata_obj = new COneMoshiScoreAccess();
	$ana_one_moshi_obj = new CAnaOneMoshi($student_id,$whole_moshi_id);
	$ana_one_moshi_obj->main($data_object->conn,$moshi_id,$one_moshi_sdata_obj);
	$ana_one_moshi_obj->setMainInfo();
	$ana_one_moshi_obj->setYourTotalData();
	$ana_one_moshi_obj->setOneMoshiRes();

	$ana_one_moshi_obj->addOneMoshiType();
	$ana_one_moshi_obj->setAnswerList();

	$moshi_name = $ana_one_moshi_obj->getMoshiName();
	$moshi_com=$ana_one_moshi_obj->getMoshiCom();
	$answer_list = $ana_one_moshi_obj->getAnswerList();
	$type_list = $ana_one_moshi_obj->getTypeDataList();
	foreach ($type_list as $item) {
		$type_table .= "<tr>".$item."</tr>";
	}

	$goal_score = $ana_one_moshi_obj->getGoalScore();
	if ($goal_score == 0) $goal_score = _COMMON_NOTSET_TXT;
	$duration = $ana_one_moshi_obj->getDuration();
	if ($duration == 0) $duration = _COMMON_NOTSET_TXT;
	$avg_score = $ana_one_moshi_obj->getAveScore();
	$avg_dur=$ana_one_moshi_obj->getAveDur();

	$your_score = $ana_one_moshi_obj->getYourScore();
	$your_score = round($your_score,2);
	if (intval($goal_score)>$your_score){
		$your_score = "<font color='red'>".$your_score."</font>";
	}

	$your_dur = $ana_one_moshi_obj->getYourDur();

	$your_avg_score = $ana_one_moshi_obj->getYourAvgScore();
	$your_avg_score = round($your_avg_score,2);
	if (intval($goal_score)>$your_avg_score) {
		$your_avg_score = "<font color='red'>".$your_avg_score."</font>";
	}

	$your_avg_dur = $ana_one_moshi_obj->getYourAvgDur();
	$moshi_num = $ana_one_moshi_obj->getMoshiNum();
	$your_moshi_num = $ana_one_moshi_obj->getYourCnt();
	$answered_time = $ana_one_moshi_obj->getAnsweredTime();
	$full_score = $ana_one_moshi_obj->getFullScore();

	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'usr_moshi/view_one_moshi_result.tpl');

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':MOSHI_NAME_REP:', $moshi_name, $show_data);
$show_data = str_replace(':MOSHI_COM_REP:', $moshi_com, $show_data);
$show_data = str_replace(':GOAL_SCORE_REP:', $goal_score, $show_data);

$show_data = str_replace(':DUR_REP:', $duration, $show_data);
$show_data = str_replace(':AVG_SCORE_REP:', round($avg_score,2), $show_data);
$show_data = str_replace(':AVG_DUR_REP:', round($avg_dur,2), $show_data);
$show_data = str_replace(':MOSHI_NUM_REP:', $moshi_num, $show_data);

$show_data = str_replace(':YOUR_SCORE_REP:', $your_score, $show_data);
$show_data = str_replace(':YOUR_DUR_REP:', round($your_dur/60,2), $show_data);
$show_data = str_replace(':YOUR_AVG_SCORE_REP:', $your_avg_score, $show_data);
$show_data = str_replace(':YOUR_AVG_DUR_REP:', round($your_avg_dur/60,2), $show_data);
$show_data = str_replace(':YOUR_NUM_REP:', $your_moshi_num, $show_data);
$show_data = str_replace(':DONE_TIME:', substr($answered_time,0,-3), $show_data);

$show_data = str_replace(':TYPE_TBL_REP:', $type_table, $show_data);
$show_data = str_replace(':MOSHI_ID_REP:', $moshi_id, $show_data);
$show_data = str_replace(':FULL_SCORE_REP:', $full_score, $show_data);
$show_data = str_replace(':ANS_LIST_REP:', $answer_list, $show_data);

echo $show_data;
?>