<?php
/*궯ɽԤ饹򽸤
 *
 */
class CRecPracticeList {
	var $conn;
	var $uid;
	var $department;

	var $prac_res_object;
	var $include_flag=0;
	var $include_pearson=0;
	var $include_eval=0;
	var $exclude_dif_list = "";
	var $calc_object;
	var $create_time;

	var $top_list = "";
	var $err_msg = "";

	function CRecPracticeList ($conn, $uid) {
		$this->conn = $conn;
		$this->uid = $uid;
		$this->prac_res_object = new CPracResTableAccess ();
		$this->setRecStatus();
	}

	function setDepartment () {
		$frequent_dep_object = $this->prac_res_object;
		if (!$frequent_dep_object->setFeqDepId($this->conn,$this->uid)) return false;
		if ($res = $frequent_dep_object->dbFetchArr()) {
			$this->department = intval($res["department_id"]);
		}
		$frequent_dep_object->dbFreeResult();
		if ($this->department == null || $this->department == "") {
			//30ǤϼǤʤΤǿФ
			if (!$frequent_dep_object->setFeqDepId($this->conn,$this->uid,"")) return false;
			if ($res = $frequent_dep_object->dbFetchArr()) {
				$this->department = intval($res["department_id"]);
			}
			$frequent_dep_object->dbFreeResult();
		}

		if ($this->department == null || $this->department == "") return false;

		return true;
	}

	function setRecStatus () {
		$calc_object = new CRecCalcStatusTableAccess();
		if ($calc_object->setNewestCalc($this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$this->include_flag = $res["include_flag"];
				$this->include_pearson = $res["include_peason"];
				$this->include_eval = $res["include_eval"];
				$this->create_time = $res["end_time"];
			}
			$calc_object->dbFreeResult();
		}
		$this->calc_object = $calc_object;
	}

	function setIncludePearson () {
		$calc_object=$this->calc_object;
		if ($calc_object->setSelResult(
		"include_peason,end_time",
		" WHERE include_peason != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$this->include_pearson = $res["include_peason"];
			}
			$calc_object->dbFreeResult();
		}
	}

	function setExcludeDifList () {
		$exclude_dif_list = "";
		$history_object = $this->prac_res_object;
	//	echo $this->include_pearson;
		if ($this->include_pearson == 0) $this->setIncludePearson();
		if ($this->include_pearson == 1) {
			//򤤤Ȥʤ
			$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn);
		} else if ($this->include_pearson == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			$history_object->setNoFailedPracId($this->conn,$this->uid);
		} else if ($this->include_pearson == 3) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3);
		} else if ($this->include_pearson == 5) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3);
		} else {
			//$this->setIncludePearson();
			$this->err_msg .= "PARAMETER ERROR include_prearson!<br/>";
			return false;
		}
		while ($res = $history_object->dbFetchArr()) {
			$exclude_dif_list .= $res["practice_id"].",";
		}
		$history_object->dbFreeResult();
		if ($exclude_dif_list <> "") $exclude_dif_list = substr($exclude_dif_list,0,-1);
		$this->exclude_dif_list = $exclude_dif_list;
		return true;
	}

	function setTopList ($is_mob) {
		$top_list = "";
		$dif_contents = "";
		$pop_contents = "";

		//궯ɽ
		$dif_data_object = new CPersonalRecListAccess();
		$dif_data_object->setExcludeList($this->exclude_dif_list);
		if ($dif_data_object->setReinfoData($this->conn,$this->department,$this->uid,10,$is_mob)) {
			//$pre_id = "";
			$pre_ids = array();
			$cnt = 0;
			while ($res = $dif_data_object->dbFetchArr()) {
				if ($cnt >= 5) break;
				//if ($pre_id == $res["practice_id"]) continue;
				if (in_array($res["practice_id"],$pre_ids)) continue;

				if ($is_mob==0) {
					$dif_contents .= "<td>";
				}
				$dif_contents .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$dif_contents .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$dif_contents .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$dif_contents .= "<h3>No IMAGE</h3>";
				}
				}
				$dif_contents .= "<a href='./recommend/do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$dif_contents .= _EXAM_STU_PRACTICE_DO."</a><br/>";
				if ($is_mob==0) {
					$dif_contents .= "</td>";
				} else {
					$dif_contents .= "<hr/>";
				}
				//$pre_id = $res["practice_id"];
				array_push($pre_ids,$res["practice_id"]);
				$cnt++;
			}
			$dif_data_object->dbFreeResult();
		}
		if ($dif_contents <> "") {
			if ($is_mob <> 1) {
				$dif_contents = "<table width = 800 bgcolor='lightyellow' cellpadding=0 border><tr>".$dif_contents."</tr></table>";
			}
			$dif_contents = "<h3>"._EXAM_USER_RECO_DIF_LIST."</h3>".$dif_contents;
		}

		//͵ɽ
		$pop_data_object = new CGeneralRecListAccess();
		if ($pop_data_object->setPopData($this->conn,$this->department,10,$is_mob)) {
			//$pre_id = "";
			$pre_ids = array();
			$cnt = 0;
			while ($res = $pop_data_object->dbFetchArr()) {
				if ($cnt >= 5) break;
				//if ($pre_id == $res["practice_id"]) continue;
				if (in_array($res["practice_id"],$pre_ids)) continue;
				if ($is_mob==0) {
					$pop_contents .= "<td>";
				}
				$pop_contents .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$pop_contents .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$pop_contents .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$pop_contents .= "<h3>No IMAGE</h3>";
				}
				}
				$pop_contents .= "<a href='./recommend/do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$pop_contents .= _EXAM_STU_PRACTICE_DO."</a><br/>";
				if ($is_mob==0) {
					$pop_contents .= "</td>";
				} else {
					$pop_contents .= "<hr/>";
				}
				//$pre_id = $res["practice_id"];
				array_push($pre_ids,$res["practice_id"]);

				$cnt++;
			}
			$pop_data_object->dbFreeResult();
		}
		if ($pop_contents <> "") {
			if ($is_mob <> 1) {
				$pop_contents = "<table width = 800 bgcolor='lightgreen' cellpadding=0 border><tr>".$pop_contents."</tr></table>";
			}
			$pop_contents = "<h3>"._EXAM_USER_RECO_POP_LIST."</h3>".$pop_contents;
		}
		$this->top_list = $dif_contents.$pop_contents;
	}

	function getTopList () {
		return $this->top_list;
	}
}

class CRecPracIndex extends CRecPracticeList {
	var $dep_sel = "";
	var $show_num = 10;
	var $is_mob=0;

	var $exclude_eval_list = "";
	var $exclude_flag_list = "";

	var $reinfo_list = "";
	var $eval_pop_list = "";
	var $flag_pop_list = "";
	var $eval_sim_list = "";
	var $flag_sim_list = "";

	var $total_list = "";

	function CRecPracIndex ($conn, $uid) {
		$this->CRecPracticeList($conn,$uid);
	}

	function main ($department, $limit,$is_mob=0) {
		if ($department == "" || !is_numeric($department)) {
			$this->setDepartment();
		} else {
			$this->department = intval($department);
		}
		if ($limit <> "" && is_numeric($limit)) {
			$this->show_num = intval($limit);
		}
		$this->is_mob = $is_mob;

		$this->setExcludeDifList();
		$this->setExcludeEvalList();
		$this->setExcludeFlagList();

		$pop_data_object = new CGeneralRecListAccess();
		$dif_data_object = new CPersonalRecListAccess();
		$this->setReinfoList($dif_data_object);
		$this->setEvalSimList($dif_data_object);
		$this->setFlagSimList($dif_data_object);

		$this->setEvalPopList($pop_data_object);
		$this->setFlagPopList($pop_data_object);

		$this->setTotalList();

	}

	function setTotalList () {
		$total_list = "";
		if ($this->is_mob == 1) {
			$total_list .= "<b>"._EXAM_USER_RECO_DIF_LIST."<p/><br/>";
			$total_list .= $this->reinfo_list;
			$total_list .= "<hr width=350 size=5/>";
			$total_list .= "<b>"._EXAM_USER_RECO_EVAL_SIM_LIST."<p/><br/>";
			$total_list .= $this->eval_pop_list;
			$total_list .="<hr width=350 size=5/>";
			$total_list .= "<b>"._EXAM_USER_RECO_FLAG_SIM_LIST."<p/><br/>";
			$total_list .= $this->flag_sim_list;
			$total_list .="<hr width=350 size=5/>";
			$total_list .="<b>"._EXAM_USER_RECO_POP_LIST."</b><p/>";
			$total_list .=$this->eval_pop_list;
			$total_list .="<hr width=350 size=5/>";
			$total_list .="<b>"._EXAM_USER_RECO_FLAG_POP_LIST."</b><p/>";
			$total_list .=$this->flag_pop_list;
		} else {
			$total_list .= "<table border = 1><tr>\n";
			$total_list .= "<td width=300 valign='top'><b>"._EXAM_USER_RECO_DIF_LIST."</b><p/>".$this->reinfo_list."<br/></td>";
			$total_list .= "<td width=300 valign='top'><b>"._EXAM_USER_RECO_EVAL_SIM_LIST."</b><p/>".$this->eval_sim_list."<br/></td>";
			$total_list .= "<td width=300 valign='top'><b>"._EXAM_USER_RECO_FLAG_SIM_LIST."</b><p/>".$this->flag_sim_list."<br/></td>\n</tr>\n";
			$total_list .="<tr>\n";
			$total_list .="<td width=300 valign='top'><b>"._EXAM_USER_RECO_POP_LIST."</b><p/>".$this->eval_pop_list."<br/></td>";
			$total_list .="<td width=300 valign='top'><b>"._EXAM_USER_RECO_FLAG_POP_LIST."</b><p/>".$this->flag_pop_list."<br/></td>";
			$total_list .="<td width=300 valign='top'><br/></td>";
			$total_list .= "</tr></table>";
		}
		$this->total_list = $total_list;
	}

	function getTotalList () {
		return $this->total_list;
	}

	function getCreateTime () {
		return $this->create_time;
	}

	function setFlagPopList ($pop_data_object) {
		$flag_pop_list = "";

//		if ($pop_data_object->setFlaggyData($this->conn,
//		$this->department,intval($this->show_num) * 2,$this->is_mob)) {
		if ($pop_data_object->setFlaggyData($this->conn,
		$this->department,intval($this->show_num),$this->is_mob)) {
//			$pre_id = "";
//			$cnt = 0;
			while ($res = $pop_data_object->dbFetchArr()) {
//				if ($cnt >= intval($this->show_num)) break;
//				if ($pre_id == $res["practice_id"]) continue;
				$flag_pop_list .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$flag_pop_list .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($this->is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$flag_pop_list .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$flag_pop_list .= "<h3>No IMAGE</h3>";
				}
				}
				$flag_pop_list .= "<a href='./do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$flag_pop_list .= _EXAM_STU_PRACTICE_DO."</a><br/>";

//				$pre_id = $res["practice_id"];
//				$cnt++;
				$flag_pop_list .="<hr align='center' width='250'/>";
			}
			$pop_data_object->dbFreeResult();
		}
		$this->flag_pop_list = $flag_pop_list;
	}

	function setEvalPopList ($pop_data_object) {
		$eval_pop_list = "";
		//$pop_data_object = new CGeneralRecListAccess();
		//echo $this->department;
//		if ($pop_data_object->setPopData($this->conn,
//		$this->department,intval($this->show_num) * 2,$this->is_mob)) {
		if ($pop_data_object->setPopData($this->conn,
		$this->department,intval($this->show_num),$this->is_mob)) {
//		$pre_id = "";
//			$cnt = 0;
			while ($res = $pop_data_object->dbFetchArr()) {
//				if ($cnt >= intval($this->show_num)) break;
//				if ($pre_id == $res["practice_id"]) continue;
				$eval_pop_list .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$eval_pop_list .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($this->is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$eval_pop_list .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$eval_pop_list .= "<h3>No IMAGE</h3>";
				}
				}
				$eval_pop_list .= "<a href='./do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$eval_pop_list .= _EXAM_STU_PRACTICE_DO."</a><br/>";

//				$pre_id = $res["practice_id"];
//				$cnt++;
				$eval_pop_list .="<hr align='center' width='250'/>";
			}
			$pop_data_object->dbFreeResult();
		}
		$this->eval_pop_list = $eval_pop_list;
	}

	function setEvalSimList ($dif_data_object) {
		$eval_sim_list = "";
		$dif_data_object->setExcludeList($this->exclude_eval_list);
		if ($dif_data_object->setSimEvalData(
			$this->conn,$this->department,$this->uid,
			intval($this->show_num) * 2, $this->is_mob)) {
//			$pre_id = "";
			$pre_ids=array();
			$cnt = 0;
			while ($res = $dif_data_object->dbFetchArr()) {
				if ($cnt >= intval($this->show_num)) break;
				//if ($pre_id == $res["practice_id"]) continue;
				if (in_array($res["practice_id"],$pre_ids)) continue;

				$eval_sim_list .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$eval_sim_list .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($this->is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$eval_sim_list .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$eval_sim_list .= "<h3>No IMAGE</h3>";
				}
				}
				$eval_sim_list .= "<a href='./do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$eval_sim_list .= _EXAM_STU_PRACTICE_DO."</a><br/>";
				$eval_sim_list .= "<hr align='center' width='250'/>";
				//$pre_id = $res["practice_id"];
				array_push($pre_ids,$res["practice_id"]);
				$cnt++;
			}
			$dif_data_object->dbFreeResult();
		}
		$this->eval_sim_list = $eval_sim_list;
	}

	function setFlagSimList ($dif_data_object) {
		$flag_sim_list = "";
		$dif_data_object->setExcludeList($this->exclude_flag_list);
		if ($dif_data_object->setSimFlagData(
			$this->conn,$this->department,$this->uid,
			intval($this->show_num) * 2, $this->is_mob)) {
			//$pre_id = "";
			$pre_ids=array();
			$cnt = 0;
			while ($res = $dif_data_object->dbFetchArr()) {
				if ($cnt >= intval($this->show_num)) break;
				//if ($pre_id == $res["practice_id"]) continue;
				if (in_array($res["practice_id"],$pre_ids)) continue;

				$flag_sim_list .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$flag_sim_list .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($this->is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$flag_sim_list .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$flag_sim_list .= "<h3>No IMAGE</h3>";
				}
				}
				$flag_sim_list .= "<a href='./do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$flag_sim_list .= _EXAM_STU_PRACTICE_DO."</a><br/>";
				$flag_sim_list .= "<hr align='center' width='250'/>";
				//$pre_id = $res["practice_id"];
				array_push($pre_ids,$res["practice_id"]);
				$cnt++;
			}
			$dif_data_object->dbFreeResult();
		}
		$this->flag_sim_list = $flag_sim_list;
	}

	function setReinfoList ($dif_data_object) {
		//$is_mob = $this->is_mob;
		$reinfo_list = "";
		//$dif_data_object = new CPersonalRecListAccess();
		$dif_data_object->setExcludeList($this->exclude_dif_list);
		if ($dif_data_object->setReinfoData(
			$this->conn,$this->department,$this->uid,
			intval($this->show_num) * 2, $this->is_mob)) {
//			$pre_id = "";
			$pre_ids=array();
			$cnt = 0;
			while ($res = $dif_data_object->dbFetchArr()) {
				if ($cnt >= intval($this->show_num)) break;
				//if ($pre_id == $res["practice_id"]) continue;
				if (in_array($res["practice_id"],$pre_ids)) continue;

				$reinfo_list .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
				$reinfo_list .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
				if ($this->is_mob <> 1) {
				if ($res["img_file"] <> "") {
					$reinfo_list .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
				} else {
					$reinfo_list .= "<h3>No IMAGE</h3>";
				}
				}
				$reinfo_list .= "<a href='./do_one_rec.php?practice_id=".$res["practice_id"]."' target='_blank'>";
				$reinfo_list .= _EXAM_STU_PRACTICE_DO."</a><br/>";
				$reinfo_list .= "<hr align='center' width='250'/>";
				//$pre_id = $res["practice_id"];
				array_push($pre_ids,$res["practice_id"]);
				$cnt++;
			}
			$dif_data_object->dbFreeResult();
		}
		$this->reinfo_list = $reinfo_list;
	}

	function setIncludeEval () {
		$calc_object=$this->calc_object;
		if ($calc_object->setSelResult(
		"include_eval,end_time",
		" WHERE include_eval != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$this->include_eval = $res["include_eval"];
			}
			$calc_object->dbFreeResult();
		}
	}

	function setExcludeEvalList () {
		$exclude_eval_list = "";
		$history_object = $this->prac_res_object;
		if ($this->include_eval == 0) $this->setIncludeEval();
		if ($this->include_eval == 1) {
			//򤤤Ȥʤ
			$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn);
		} else if ($this->include_eval == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			$history_object->setNoFailedPracId($this->conn,$this->uid);
		} else if ($this->include_eval == 3) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3);
		} else if ($this->include_eval == 5) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3);
		} else if ($this->include_eval == 2) {
			//ʬɾΤϽ
			//ǡ֥ȤɾΤΤǾ
			$history_object = new CPracEvalTableAccess();
			$history_object->setSelResult("practice_id",
			" WHERE uid ='".$history_object->escapeSqlString($this->uid)."'",
			$this->conn);

		}else {
			$this->err_msg .= "PARAMETER ERROR include_eval!<br/>";
			return false;
		}
		while ($res = $history_object->dbFetchArr()) {
			$exclude_eval_list .= $res["practice_id"].",";
		}
		$history_object->dbFreeResult();
		if ($exclude_eval_list <> "") $exclude_eval_list = substr($exclude_eval_list,0,-1);
		$this->exclude_eval_list = $exclude_eval_list;
		return true;
	}

	function setIncludeFlag () {
		$calc_object=$this->calc_object;
		if ($calc_object->setSelResult(
		"include_flag,end_time",
		" WHERE include_flag != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$this->include_flag = $res["include_flag"];
			}
			$calc_object->dbFreeResult();
		}
	}

	function setExcludeFlagList () {
		$exclude_flag_list = "";
		$history_object = $this->prac_res_object;

		if ($this->include_flag == 0) $this->setIncludeFlag();
		if ($this->include_flag == 1) {
			//򤤤Ȥʤ
			$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn);
		} else if ($this->include_flag == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			$history_object->setNoFailedPracId($this->conn,$this->uid);
		} else if ($this->include_flag == 3) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3);
		} else if ($this->include_flag == 5) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3);
		} else if ($this->include_flag == 2) {
			//ʬɾΤϽ
			//ǡ֥ȤɾΤΤǾ
			$history_object = new CPracFlagTableAccess();
			$history_object->setSelResult("practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
			$this->conn);

		}else {
			$this->err_msg .= "PARAMETER ERROR include_eval!<br/>";
			return false;
		}
		while ($res = $history_object->dbFetchArr()) {
			$exclude_flag_list .= $res["practice_id"].",";
		}
		$history_object->dbFreeResult();
		if ($exclude_flag_list <> "") $exclude_flag_list = substr($exclude_flag_list,0,-1);
		$this->exclude_flag_list = $exclude_flag_list;
		return true;
	}

}

class CRecPracticeListByView {
	var $conn;
	var $practice_id;
	var $department;
	var $rec_data_object;

	var $history_object;
	var $calc_object;

	var $reco_list_by_flag = "";
	var $reco_list_by_eval = "";
	var $reco_list_by_fail = "";
	var $is_mob = 0;

	function CRecPracticeListByView ($conn, $practice_id, $department,$is_mob=0) {
		$this->conn = $conn;
		$this->practice_id = $practice_id;
		$this->department = $department;
		$this->is_mob = $is_mob;
		$this->rec_data_object = new CByViewRecListAccess();
		$this->history_object = new CPracResTableAccess ();
		$this->calc_object = new CRecCalcStatusTableAccess();
	}

	function getRecList () {
		$rec_list = "";
		if ($this->reco_list_by_fail <> "") {
			$rec_list .= "<b>"._EXAM_USER_INCORREC_BYVIEW."</b><p/>";
			$rec_list .= $this->reco_list_by_fail;
		}
		if ($this->reco_list_by_eval <> "") {
			$rec_list .= "<b>"._EXAM_USER_EVARECL_BYVIEW."</b><p/>";
			$rec_list .= $this->reco_list_by_eval;
		}
		if ($this->reco_list_by_flag <> "") {
			$rec_list .= "<b>"._EXAM_USER_FLAGREC_BYVIEW."</b><p/>";
			$rec_list .=$this->reco_list_by_flag;
		}
		if ($rec_list <> "") {
			if ($this->is_mob == 1) {
				$rec_list = "</td></tr><tr><td>".$rec_list;
			} else {
				$rec_list = "</td><td width=300 bgcolor='lightgrey' valign='top'>".$rec_list;
			}
		}

		return $rec_list;
	}

	function getIncludePearson () {
		$calc_object=$this->calc_object;
		$include_p = "";
		if ($calc_object->setSelResult(
		"include_peason,end_time",
		" WHERE include_peason != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$include_p = $res["include_peason"];
			}
			$calc_object->dbFreeResult();
		}
		return $include_p;
	}

	function getExcludeDifList () {
		$exclude_dif_list = "";
		$history_object = $this->history_object;
		$include_pearson = $this->getIncludePearson();
		if ($include_pearson == 1) {
			//򤤤Ȥʤ
			if (!$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn)) return $exclude_dif_list;
		} else if ($include_pearson == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			if (!$history_object->setNoFailedPracId($this->conn,$this->uid)) return $exclude_dif_list;
		} else if ($include_pearson == 3) {
			//ǽ
			if (!$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3)) return $exclude_dif_list;
		} else if ($include_pearson == 5) {
			//ǽ
			if (!$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3)) return $exclude_dif_list;
		} else {
			return $exclude_dif_list;
		}

		while ($res = $history_object->dbFetchArr()) {
			$exclude_dif_list .= $res["practice_id"].",";
		}
		$history_object->dbFreeResult();
		if ($exclude_dif_list <> "") $exclude_dif_list = substr($exclude_dif_list,0,-1);
		return $exclude_dif_list;
	}

	function getIncludeEval () {
		$include_eval="";
		$calc_object=$this->calc_object;
		if ($calc_object->setSelResult(
		"include_eval,end_time",
		" WHERE include_eval != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$include_eval = $res["include_eval"];
			}
			$calc_object->dbFreeResult();
		}
		return $include_eval;
	}

	function getExcludeEvalList () {
		$exclude_eval_list = "";
		$history_object = $this->history_object;
		$include_eval = $this->getIncludeEval();
		if ($include_eval == 1) {
			//򤤤Ȥʤ
			$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn);
		} else if ($include_eval == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			$history_object->setNoFailedPracId($this->conn,$this->uid);
		} else if ($include_eval == 3) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3);
		} else if ($include_eval == 5) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3);
		} else if ($include_eval == 2) {
			//ʬɾΤϽ
			//ǡ֥ȤɾΤΤǾ
			$history_object = new CPracEvalTableAccess();
			$history_object->setSelResult("practice_id",
			" WHERE uid ='".$history_object->escapeSqlString($this->uid)."'",
			$this->conn);

		} else {
			return $exclude_eval_list;
		}
		while ($res = $history_object->dbFetchArr()) {
			$exclude_eval_list .= $res["practice_id"].",";
		}

		$history_object->dbFreeResult();
		if ($exclude_eval_list <> "") $exclude_eval_list = substr($exclude_eval_list,0,-1);
		return $exclude_eval_list;
	}

	function getIncludeFlag () {
		$include_flag = "";
		$calc_object=$this->calc_object;
		if ($calc_object->setSelResult(
		"include_flag,end_time",
		" WHERE include_flag != 0 ORDER BY end_time DESC LIMIT 1",
		$this->conn)) {
			if ($res = $calc_object->dbFetchArr()) {
				$include_flag = $res["include_flag"];
			}
			$calc_object->dbFreeResult();
		}
		return $include_flag;
	}

	function getExcludeFlagList () {
		$exclude_flag_list = "";
		$history_object = $this->history_object;

		$include_flag = $this->getIncludeFlag();
		if ($include_flag == 1) {
			//򤤤Ȥʤ
			$history_object->setSelResult(
				"DISTINCT practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
				$this->conn);
		} else if ($include_flag == 4) {
			//򤤤ȤʤOR٤Ǥְ㤨
			$history_object->setNoFailedPracId($this->conn,$this->uid);
		} else if ($include_flag == 3) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,3,3);
		} else if ($include_flag == 5) {
			//ǽ
			$history_object->setPeriodId($this->conn,$this->uid,$this->department,5,3);
		} else if ($include_flag == 2) {
			//ʬɾΤϽ
			//ǡ֥ȤɾΤΤǾ
			$history_object = new CPracFlagTableAccess();
			$history_object->setSelResult("practice_id",
			" WHERE usr_id ='".$history_object->escapeSqlString($this->uid)."'",
			$this->conn);
		} else {
			return $exclude_flag_list;
		}

		while ($res = $history_object->dbFetchArr()) {
			$exclude_flag_list .= $res["practice_id"].",";
		}
		$history_object->dbFreeResult();
		if ($exclude_flag_list <> "") $exclude_flag_list = substr($exclude_flag_list,0,-1);
		return $exclude_flag_list;
	}

	function setRecoListByFail ($target="") {
		$reco_list_by_fail = "";
		if ($this->practice_id <> "" && is_numeric($this->practice_id) &&
				$this->department <> "" && is_numeric($this->department)) {
			$rec_data_object=$this->rec_data_object;
			$rec_data_object->setExcludeList($this->getExcludeDifList());
			if ($rec_data_object->setRecoDataByFail(
					$this->conn,$this->practice_id,$this->department,$this->is_mob)) {
				$cnt = 0;
				$pre_id = "";
				while ($res = $rec_data_object->dbFetchArr()) {
					if ($cnt >= 5) break;
					if ($pre_id == $res["practice_id"]) continue;

					$reco_list_by_fail .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
					$reco_list_by_fail .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
					if ($this->is_mob <> 1) {
					if ($res["img_file"] <> "") {
						$reco_list_by_fail .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
					} else {
						$reco_list_by_fail .= "<h3>No IMAGE</h3>";
					}
					}
					$reco_list_by_fail .= "<a href='../recommend/do_one_rec.php?practice_id=".$res["practice_id"]."' ";
					if ($target =="blank") $reco_list_by_fail .= "target='_blank'";
					$reco_list_by_fail .= ">";
					$reco_list_by_fail .= _EXAM_STU_PRACTICE_DO."</a><br/>";
					$reco_list_by_fail .= "<hr align='center' width='250'/>";

					$pre_id = $res["practice_id"];
				}
				$rec_data_object->dbFreeResult();
			}
			$this->reco_list_by_fail =$reco_list_by_fail;
		}
	}

	function setRecoListByFlag ($target="") {
		$reco_list_by_flag = "";
		if ($this->practice_id <> "" && is_numeric($this->practice_id) &&
				$this->department <> "" && is_numeric($this->department)) {
			$rec_data_object=$this->rec_data_object;
			$rec_data_object->setExcludeList($this->getExcludeFlagList());
			if ($rec_data_object->setRecoDataByFlag(
					$this->conn,$this->practice_id,$this->department,$this->is_mob)) {
				$cnt = 0;
				$pre_id = "";
				while ($res = $rec_data_object->dbFetchArr()) {
					if ($cnt >= 5) break;
					if ($pre_id == $res["practice_id"]) continue;

					$reco_list_by_flag .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
					$reco_list_by_flag .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
					if ($this->is_mob <> 1) {
					if ($res["img_file"] <> "") {
						$reco_list_by_flag .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
					} else {
						$reco_list_by_flag .= "<h3>No IMAGE</h3>";
					}
					}
					$reco_list_by_flag .= "<a href='../recommend/do_one_rec.php?practice_id=".$res["practice_id"]."' ";
					if ($target =="blank") $reco_list_by_flag .= "target='_blank'";
					$reco_list_by_flag .= ">";
					$reco_list_by_flag .= _EXAM_STU_PRACTICE_DO."</a><br/>";
					$reco_list_by_flag .= "<hr align='center' width='250'/>";

					$pre_id = $res["practice_id"];
				}
				$rec_data_object->dbFreeResult();
			}
			$this->reco_list_by_flag =$reco_list_by_flag;
		}
	}

	function setRecListByEval ($target="") {
		$rec_list_by_eval="";
		if ($this->practice_id <> "" && is_numeric($this->practice_id) &&
				$this->department <> "" && is_numeric($this->department)) {
			$rec_data_object=$this->rec_data_object;
			$rec_data_object->setExcludeList($this->getExcludeEvalList());
			if ($rec_data_object->setRecoDataByEval(
					$this->conn,$this->practice_id,$this->department,$this->is_mob)) {
				$cnt = 0;
				$pre_id = "";
				while ($res = $rec_data_object->dbFetchArr()) {
					if ($cnt >= 5) break;
					if ($pre_id == $res["practice_id"]) continue;

					$rec_list_by_eval .= "<small>".htmlspecialchars($res["practice_title"],ENT_QUOTES);
					$rec_list_by_eval .= "<br/>".source2MiniList($res["practice_text"])."</small><br/>";
					if ($this->is_mob <> 1) {
					if ($res["img_file"] <> "") {
						$rec_list_by_eval .= "<img src='". LOCAL_URL."img_files/prac_".intval($res["practice_id"])."/".$res["img_file"]."' width=80 height=50/><br/>";
					} else {
						$rec_list_by_eval .= "<h3>No IMAGE</h3>";
					}
					}
					$rec_list_by_eval .= "<a href='../recommend/do_one_rec.php?practice_id=".$res["practice_id"]."' ";
					if ($target =="blank") $rec_list_by_eval .= "target='_blank'";
					$rec_list_by_eval .= ">";
					$rec_list_by_eval .= _EXAM_STU_PRACTICE_DO."</a><br/>";
					$rec_list_by_eval .= "<hr align='center' width='250'/>";

					$pre_id = $res["practice_id"];
				}
				$rec_data_object->dbFreeResult();
			}
			$this->reco_list_by_eval =$rec_list_by_eval;
		}
	}

}
?>